summaryrefslogtreecommitdiffstats
path: root/sysutils/hal
diff options
context:
space:
mode:
Diffstat (limited to 'sysutils/hal')
-rw-r--r--sysutils/hal/Makefile124
-rw-r--r--sysutils/hal/distinfo3
-rw-r--r--sysutils/hal/files/10-mouse-sysmouse.fdi8
-rw-r--r--sysutils/hal/files/README.fuse31
-rw-r--r--sysutils/hal/files/extra-patch-tools_hal-storage-mount.c25
-rw-r--r--sysutils/hal/files/hald.in80
-rwxr-xr-xsysutils/hal/files/mount-fuse153
-rw-r--r--sysutils/hal/files/patch-Makefile.in31
-rw-r--r--sysutils/hal/files/patch-doc_Makefile.in11
-rw-r--r--sysutils/hal/files/patch-fdi_policy_10osvendor_10-power-mgmt-policy.fdi13
-rw-r--r--sysutils/hal/files/patch-fdi_policy_10osvendor_10-x11-input.fdi31
-rw-r--r--sysutils/hal/files/patch-hald_freebsd_addons_addon-storage.c105
-rw-r--r--sysutils/hal/files/patch-hald_freebsd_hf-usb.c20
-rw-r--r--sysutils/hal/files/patch-hald_freebsd_hf-usb2.c153
-rw-r--r--sysutils/hal/files/patch-hald_freebsd_hf-volume.c16
-rw-r--r--sysutils/hal/files/patch-hald_freebsd_probing_Makefile.am27
-rw-r--r--sysutils/hal/files/patch-hald_freebsd_probing_Makefile.in564
-rw-r--r--sysutils/hal/files/patch-hald_freebsd_probing_probe-usb2-interface.c16
-rw-r--r--sysutils/hal/files/patch-hald_freebsd_probing_probe-video4linux.c228
-rw-r--r--sysutils/hal/files/patch-hald_freebsd_probing_probe-volume.c31
-rw-r--r--sysutils/hal/files/patch-hald_hf-storage.c79
-rw-r--r--sysutils/hal/files/patch-tools_hal-storage-eject.c11
-rw-r--r--sysutils/hal/files/patch-tools_hal-storage-mount.c91
-rw-r--r--sysutils/hal/files/patch-tools_hal-storage-shared.c45
-rw-r--r--sysutils/hal/files/pkg-deinstall.in17
-rw-r--r--sysutils/hal/files/pkg-install.in25
-rw-r--r--sysutils/hal/pkg-descr6
-rw-r--r--sysutils/hal/pkg-plist131
28 files changed, 0 insertions, 2075 deletions
diff --git a/sysutils/hal/Makefile b/sysutils/hal/Makefile
deleted file mode 100644
index 2d7cac630..000000000
--- a/sysutils/hal/Makefile
+++ /dev/null
@@ -1,124 +0,0 @@
-# New ports collection makefile for: HAL
-# Date Created: 02 May 2006
-# Whom: Joe Marcus Clarke <marcus@FreeBSD.org>
-#
-# $FreeBSD$
-# $MCom: ports/sysutils/hal/Makefile,v 1.80 2010/02/26 13:31:53 marcus Exp $
-#
-
-PORTNAME= hal
-DISTVERSION= 0.5.14
-PORTREVISION= 7
-CATEGORIES= sysutils
-MASTER_SITES= http://hal.freedesktop.org/releases/
-
-MAINTAINER= gnome@FreeBSD.org
-COMMENT= Hardware Abstraction Layer for simplifying device access
-
-BUILD_DEPENDS= ${LOCALBASE}/include/linux/videodev2.h:${PORTSDIR}/multimedia/v4l_compat
-LIB_DEPENDS= polkit.2:${PORTSDIR}/sysutils/policykit \
- volume_id.0:${PORTSDIR}/devel/libvolume_id \
- ck-connector.0:${PORTSDIR}/sysutils/consolekit
-RUN_DEPENDS= ${LOCALBASE}/share/pciids/pci.ids:${PORTSDIR}/misc/pciids
-
-USE_GETTEXT= yes
-USE_GMAKE= yes
-USE_GNOME= gnomehack intlhack ltverhack
-USE_AUTOTOOLS= libtool:22
-USE_LDCONFIG= yes
-USE_PYTHON= yes
-CONFIGURE_ARGS= --disable-gtk-doc \
- --with-backend=freebsd \
- --disable-docbook-docs \
- --with-pci-ids=${LOCALBASE}/share/pciids \
- --disable-usb-ids \
- --without-libpci \
- --disable-usb \
- --disable-smbios \
- --disable-apm \
- --disable-pmu \
- --enable-policy-kit \
- --enable-console-kit \
- --with-socket-dir=/var/run/hald \
- --with-eject=/usr/sbin/cdcontrol \
- --with-pid-file=/var/run/hald/hald.pid \
- --with-deprecated-keys \
- --localstatedir=/var
-CONFIGURE_ENV= CPPFLAGS="-I${LOCALBASE}/include" \
- LDFLAGS="-L${LOCALBASE}/lib" \
- GTKDOC="false"
-
-#HALVERSION= 0.5.10
-#SNAPVERSION= 20080218
-
-USERS= haldaemon
-GROUPS= haldaemon
-
-USE_RC_SUBR= hald
-USE_GNOME_SUBR= yes
-DOCSDIR= ${PREFIX}/share/doc/${PORTNAME}-${DISTVERSION}
-PLIST_SUB= VERSION=${DISTVERSION}
-
-RC_FILES= hal.conf:${PREFIX}/etc/dbus-1/system.d
-PLIST_FILES= ${PRIV_FILES:S|^|%%DATADIR%%/dist/|}
-
-SUB_FILES= pkg-install pkg-deinstall
-SUB_LIST= RC_FILES="${RC_FILES}"
-
-MAN1= hal-disable-polling.1 hal-find-by-capability.1 \
- hal-find-by-property.1 hal-get-property.1 \
- hal-is-caller-locked-out.1 hal-is-caller-privileged.1 \
- hal-lock.1 hal-set-property.1 lshal.1
-MAN8= hald.8
-
-OPTIONS= FIXED_MOUNTPOINTS "use fixed mountpoints" off
-
-.include <bsd.port.pre.mk>
-
-.if (${ARCH}=="i386" || ${ARCH}=="amd64" || ${ARCH}=="ia64")
-RUN_DEPENDS+= dmidecode:${PORTSDIR}/sysutils/dmidecode
-.endif
-
-.if defined(WITH_FIXED_MOUNTPOINTS)
-EXTRA_PATCHES+= ${FILESDIR}/extra-patch-tools_hal-storage-mount.c
-.endif
-
-.if ${OSVERSION} >= 800063
-PLIST_SUB+= USB2=""
-.else
-PLIST_SUB+= USB2="@comment "
-.endif
-
-post-patch:
- @${REINPLACE_CMD} -e '/^scriptdir = /s|[(]libexecdir[)]/scripts|(libexecdir)/hal/scripts|' \
- ${WRKSRC}/tools/Makefile.in \
- ${WRKSRC}/tools/freebsd/Makefile.in
- @${REINPLACE_CMD} -e 's|[(]libexecdir[)]/scripts|(libexecdir)/hal/scripts|' \
- ${WRKSRC}/hald/Makefile.in \
- ${WRKSRC}/tools/Makefile.in
- @${REINPLACE_CMD} -e 's|user="0"|group="operator"|g' \
- ${WRKSRC}/hal.conf.in
- @${SED} -e 's|%%LOCALBASE%%|${LOCALBASE}|' \
- < ${FILESDIR}/README.fuse > ${WRKDIR}/README.fuse
-
-post-install:
- ${MKDIR} ${DATADIR}/dist
- ${INSTALL_DATA} ${WRKSRC}/hal.conf ${DATADIR}/dist
- ${MKDIR} ${PREFIX}/share/hal/fdi/policy/10osvendor
- ${INSTALL_DATA} ${FILESDIR}/10-mouse-sysmouse.fdi \
- ${PREFIX}/share/hal/fdi/policy/10osvendor
- ${INSTALL_SCRIPT} ${FILESDIR}/mount-fuse \
- ${PREFIX}/share/hal/mount-fuse
-.if !defined(PACKAGE_BUILDING)
- @${SETENV} PKG_PREFIX=${PREFIX} \
- ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
-.endif
-.if !defined(NOPORTDOCS)
- ${MKDIR} ${DOCSDIR}
- ${INSTALL_DATA} ${WRKSRC}/hald/freebsd/README \
- ${DOCSDIR}/README.freebsd
- ${INSTALL_DATA} ${WRKDIR}/README.fuse \
- ${DOCSDIR}/README.fuse
-.endif
-
-.include <bsd.port.post.mk>
diff --git a/sysutils/hal/distinfo b/sysutils/hal/distinfo
deleted file mode 100644
index ff1858776..000000000
--- a/sysutils/hal/distinfo
+++ /dev/null
@@ -1,3 +0,0 @@
-MD5 (hal-0.5.14.tar.gz) = e9163df591a6f38f59fdbfe33e73bf20
-SHA256 (hal-0.5.14.tar.gz) = 323aacfa52f12def3b0d1e76456e34f027c345adc344aad19a8cc0c59c1a8d02
-SIZE (hal-0.5.14.tar.gz) = 1238766
diff --git a/sysutils/hal/files/10-mouse-sysmouse.fdi b/sysutils/hal/files/10-mouse-sysmouse.fdi
deleted file mode 100644
index cffd4f624..000000000
--- a/sysutils/hal/files/10-mouse-sysmouse.fdi
+++ /dev/null
@@ -1,8 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<deviceinfo version="0.2">
- <device>
- <match key="info.capabilities" contains="input.mouse">
- <append key="info.addons" type="strlist">hald-addon-mouse-sysmouse</append>
- </match>
- </device>
-</deviceinfo>
diff --git a/sysutils/hal/files/README.fuse b/sysutils/hal/files/README.fuse
deleted file mode 100644
index 75adcab7d..000000000
--- a/sysutils/hal/files/README.fuse
+++ /dev/null
@@ -1,31 +0,0 @@
-Mounting Fuse File Systems with HAL
------------------------------------
-
-$FreeBSD$
-
-Hal supports mounting Fuse device-backed file systems (e.g. NTFS). To enable
-this feature, copy the included %%LOCALBASE%%/share/hal/mount-fuse script
-to /sbin. Make sure this script is executable. Edit the script, and change
-the FUSE_HELPER environment variable to the name of the executable which
-will actually mount the Fuse volume (e.g. for NTFS, this is ``ntfs-3g'').
-
-Finally, the script must be renamed to ``mount_FSNAME''. FSNAME is the name
-of the file system type (e.g. for NTFS, this is ``ntfs''). If there is
-already an executable in /sbin or /usr/sbin with this name, the
-existing executable must be renamed or deleted.
-
-As is stated in the examples above, overriding FreeBSD's existing NTFS
-support with Fuse's ntfs-3g is the most common use case for this. The
-ntfs-3g Fuse driver uses different mount options than FreeBSD's included
-mount_ntfs. GNOME transparently supports switching between ntfs and
-ntfs-3g. Simply edit the following GConf key in the GNOME
-Configuration Editor (i.e. gconf-editor):
-
-/system/storage/default_options/ntfs/fstype_override
-
-Set the value to ``ntfs-3g'', then add your desired ntfs-3g options to the
-following GConf key:
-
-/system/storage/default_options/ntfs-3g/mount_options
-
-Other desktop systems may have similar options.
diff --git a/sysutils/hal/files/extra-patch-tools_hal-storage-mount.c b/sysutils/hal/files/extra-patch-tools_hal-storage-mount.c
deleted file mode 100644
index f505709e1..000000000
--- a/sysutils/hal/files/extra-patch-tools_hal-storage-mount.c
+++ /dev/null
@@ -1,25 +0,0 @@
---- tools/hal-storage-mount.c.orig 2008-05-20 13:24:30.000000000 -0400
-+++ tools/hal-storage-mount.c 2008-05-20 13:30:14.000000000 -0400
-@@ -585,17 +585,11 @@ handle_mount (LibHalContext *hal_ctx,
- explicit_mount_point_given = FALSE;
- if (strlen (mount_point) == 0) {
- char *p;
--
-- if (label != NULL) {
-- /* best - use label */
-- g_strlcpy (mount_point, label, sizeof (mount_point));
--
-- /* TODO: use drive type */
--
-- } else {
-- /* fallback - use "disk" */
-- g_snprintf (mount_point, sizeof (mount_point), "%s", "disk");
-- }
-+ char *basename;
-+
-+ basename = g_path_get_basename (device);
-+ g_strlcpy (mount_point, basename, sizeof (mount_point));
-+ g_free (basename);
-
- /* sanitize computed mount point name, e.g. replace invalid chars with '-' */
- p = mount_point;
diff --git a/sysutils/hal/files/hald.in b/sysutils/hal/files/hald.in
deleted file mode 100644
index 66e333967..000000000
--- a/sysutils/hal/files/hald.in
+++ /dev/null
@@ -1,80 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-# $MCom: ports/sysutils/hal/files/hald.in,v 1.21 2010/03/16 19:33:11 mezz Exp $
-#
-# PROVIDE: hald
-# REQUIRE: DAEMON usbd devd dbus moused webcamd
-#
-# Add the following line to /etc/rc.conf to enable the HAL daemon:
-#
-# hald_enable="YES"
-#
-
-. /etc/rc.subr
-. %%GNOME_SUBR%%
-
-hald_enable=${hald_enable-${gnome_enable}}
-hald_flags=${hald_flags-""}
-
-name=hald
-rcvar=`set_rcvar`
-
-command="%%PREFIX%%/sbin/hald"
-pidfile="/var/run/${name}/${name}.pid"
-
-stop_postcmd="hald_postcmd"
-start_precmd="hald_precmd"
-start_cmd="hald_start"
-
-local_force_depend()
-{
- _depend="$1"
- if [ -f %%LOCALBASE%%/etc/rc.d/${_depend}.sh ]; then
- _depend="${_depend}.sh"
- fi
-
- if ! %%LOCALBASE%%/etc/rc.d/${_depend} forcestatus 1>/dev/null 2>&1 &&
- ! %%LOCALBASE%%/etc/rc.d/${_depend} forcestart; then
- return 1
- fi
- return 0
-}
-
-hald_precmd()
-{
- if ! checkyesno dbus_enable
- then
- local_force_depend dbus || return 1
- fi
-
- chmod 0755 /var/cache
-
- mkdir -p $(dirname $pidfile)
-}
-
-hald_postcmd()
-{
- rm -f $pidfile
-}
-
-hald_start()
-{
- if ! checkyesno hald_enable ; then
- return 0
- fi
- echo "Starting ${name}."
-
- ( iter=0
- while ! ps -axoargs | grep "^/usr/libexec/getty " | grep -qv grep >/dev/null 2>&1; do
- if [ ${iter} -eq 60 ]; then
- break
- fi
- sleep 1
- iter=$(expr ${iter} + 1)
- done
- ${command} ${hald_flags} ) &
-}
-
-load_rc_config ${name}
-run_rc_command "$1"
diff --git a/sysutils/hal/files/mount-fuse b/sysutils/hal/files/mount-fuse
deleted file mode 100755
index a0ea8536e..000000000
--- a/sysutils/hal/files/mount-fuse
+++ /dev/null
@@ -1,153 +0,0 @@
-#!/bin/sh
-# Wrapper script for FreeBSD and PC-BSD, which takes calls from HAL
-# for running mount_ntfs, and performs it with a given FUSE helper.
-###################################################################
-
-## Modify this next variable to point to the correct FUSE helper.
-FUSE_HELPER="ntfs-3g"
-## DO NOT modify anything below this.
-
-FUSEDB="/tmp"
-if [ -n "${TMPDIR}" ]
-then
- FUSEDB=${TMPDIR}
-fi
-
-FUSEDB="${FUSEDB}/.fuse-mnts"
-MNTSTRING=""
-OPTIONS=""
-FOUNDOPT="0"
-FOUNDU="0"
-FOUNDG="0"
-FOUNDBADARG="0"
-HWDEV=""
-FOUNDDEV="0"
-
-for i in $@
-do
- if [ "$FOUNDOPT" = "1" ]
- then
- OPTIONS="${OPTIONS} -o ${i}"
- elif [ "${FOUNDU}" = "1" ]
- then
- OPTIONS="${OPTIONS} -o uid=${i}"
- elif [ "${FOUNDG}" = "1" ]
- then
- OPTIONS="${OPTIONS} -o gid=${i}"
- elif [ "${FOUNDBADARG}" = "1" ]
- then
- # We have an invalid argument flag, so ignore it and following argument
- FOUNDBADARG="0"
- else
-
- if [ "${FOUNDDEV}" = "1" ]
- then
- # Save the mount-point, will be used later
- MNTPOINT="${i}"
- FOUNDDEV="2"
- fi
-
- echo ${i}| grep -q "/dev" 2>/dev/null
- if [ "$?" = "0" -a "${FOUNDDEV}" = "0" ]
- then
- FOUNDDEV="1"
- # Lets check if we were given a fuse[] device
- # or a real device name
- echo "${i}" | grep -q "fuse" 2>/dev/null
- if [ "$?" = "0" ]
- then
- # Lets save the old fuse device name we had saved
- OLDFUSE="${i}"
-
- # Lets get the *real* device name for FUSE helper
- REALHWDEV="`cat ${FUSEDB} | grep ${i} | cut -d '=' -f 2`"
-
- # Now lets change the string we will be saving
- i="${REALHWDEV}"
- else
- # We are doing a first time mount of this device
-
- # Set the real device name for mounting
- REALHWDEV="${i}"
- fi
- fi
-
- # Add the value to our mount string if it isn't any invalid flag
- if [ "${i}" != "-o" -a "${i}" != "-u" -a "${i}" != "-C" -a "${i}" != "-g" -a "${i}" != "-m" -a "${i}" != "-a" -a "${i}" != "-i" -a "${i}" -a "-W" ]
- then
- MNTSTRING="${MNTSTRING} ${i}"
- fi
-
- fi
-
- # Check if we are on a -u user id flag now
- if [ "${i}" = "-u" ]
- then
- FOUNDU="1"
- else
- FOUNDU="0"
- fi
-
- # Check if we are on a -g group id flag now
- if [ "${i}" = "-g" ]
- then
- FOUNDG="1"
- else
- FOUNDG="0"
- fi
-
- # Check if we are on a -o option
- if [ "${i}" = "-o" ]
- then
- FOUNDOPT="1"
- else
- FOUNDOPT="0"
- fi
-
- # Check if we are on some other invalid flag
- if [ "${i}" = "-C" -o "${i}" = "-m" -o "${i}" = "-W" ]
- then
- FOUNDBADARG="1"
- else
- FOUNDBADARG="0"
- fi
-done
-
-# Save our final string which our FUSE helper will use
-FINALSTRING="${MNTSTRING} ${OPTIONS}"
-
-# Check that fuse.ko is loaded
-kldstat | grep -q fuse 2>/dev/null
-if [ "$?" != "0" ]
-then
- kldload /usr/local/modules/fuse.ko
-fi
-
-# Run the FUSE helper command now, with the options in the right order
-${FUSE_HELPER} ${FINALSTRING}
-
-# If we have an OLDFUSE variable, lets clear it from the list
-if [ ! -z "${OLDFUSE}" -a -e ${FUSEDB} ]
-then
- cat ${FUSEDB} | grep -v "${OLDFUSE}=" > /tmp/.newfuse
- mv /tmp/.newfuse ${FUSEDB}
-fi
-
-# Now lets figure out which fuse device was used and save it to DB
-NEWFUSE="`mount | tr -s ' ' | grep \" ${MNTPOINT} \" | cut -d ' ' -f 1`"
-
-# Make sure we don't already have this fuse device listed
-if [ -e ${FUSEDB} ]
-then
- cat ${FUSEDB} | grep -v "${NEWFUSE}=" > /tmp/.newfuse
- mv /tmp/.newfuse ${FUSEDB}
-else
- touch ${FUSEDB}
-fi
-
-# Save the fuse device to our DB
-echo "${NEWFUSE}=${REALHWDEV}" >> ${FUSEDB}
-
-
-# Finished!
-exit 0
diff --git a/sysutils/hal/files/patch-Makefile.in b/sysutils/hal/files/patch-Makefile.in
deleted file mode 100644
index 46b74a5b1..000000000
--- a/sysutils/hal/files/patch-Makefile.in
+++ /dev/null
@@ -1,31 +0,0 @@
---- Makefile.in.orig 2009-12-23 13:39:15.000000000 -0500
-+++ Makefile.in 2009-12-23 13:39:58.000000000 -0500
-@@ -379,17 +379,17 @@ clean-libtool:
- distclean-libtool:
- -rm -f libtool config.lt
- install-dist_dbusDATA: $(dist_dbus_DATA)
-- @$(NORMAL_INSTALL)
-- test -z "$(dbusdir)" || $(MKDIR_P) "$(DESTDIR)$(dbusdir)"
-- @list='$(dist_dbus_DATA)'; test -n "$(dbusdir)" || list=; \
-- for p in $$list; do \
-- if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-- echo "$$d$$p"; \
-- done | $(am__base_list) | \
-- while read files; do \
-- echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(dbusdir)'"; \
-- $(INSTALL_DATA) $$files "$(DESTDIR)$(dbusdir)" || exit $$?; \
-- done
-+# @$(NORMAL_INSTALL)
-+# test -z "$(dbusdir)" || $(MKDIR_P) "$(DESTDIR)$(dbusdir)"
-+# @list='$(dist_dbus_DATA)'; test -n "$(dbusdir)" || list=; \
-+# for p in $$list; do \
-+# if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-+# echo "$$d$$p"; \
-+# done | $(am__base_list) | \
-+# while read files; do \
-+# echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(dbusdir)'"; \
-+# $(INSTALL_DATA) $$files "$(DESTDIR)$(dbusdir)" || exit $$?; \
-+# done
-
- uninstall-dist_dbusDATA:
- @$(NORMAL_UNINSTALL)
diff --git a/sysutils/hal/files/patch-doc_Makefile.in b/sysutils/hal/files/patch-doc_Makefile.in
deleted file mode 100644
index 9cd951720..000000000
--- a/sysutils/hal/files/patch-doc_Makefile.in
+++ /dev/null
@@ -1,11 +0,0 @@
---- doc/Makefile.in.orig 2008-01-03 21:41:19.000000000 -0500
-+++ doc/Makefile.in 2008-01-03 21:41:31.000000000 -0500
-@@ -203,7 +203,7 @@ target_alias = @target_alias@
- top_builddir = @top_builddir@
- top_srcdir = @top_srcdir@
- EXTRA_DIST = TODO
--SUBDIRS = api spec man
-+SUBDIRS = spec man
- MAINTAINERCLEANFILES = \
- *~ \
- Makefile.in
diff --git a/sysutils/hal/files/patch-fdi_policy_10osvendor_10-power-mgmt-policy.fdi b/sysutils/hal/files/patch-fdi_policy_10osvendor_10-power-mgmt-policy.fdi
deleted file mode 100644
index 1391709f8..000000000
--- a/sysutils/hal/files/patch-fdi_policy_10osvendor_10-power-mgmt-policy.fdi
+++ /dev/null
@@ -1,13 +0,0 @@
---- fdi/policy/10osvendor/10-power-mgmt-policy.fdi.orig 2008-05-07 19:21:15.000000000 -0400
-+++ fdi/policy/10osvendor/10-power-mgmt-policy.fdi 2009-01-30 17:41:05.000000000 -0500
-@@ -10,7 +10,9 @@
-
- <device>
- <match key="power_management.type" string="acpi">
-- <append key="info.addons" type="strlist">hald-addon-acpi</append>
-+ <match key="/org/freedesktop/Hal/devices/computer:system.kernel.name" string="Linux">
-+ <append key="info.addons" type="strlist">hald-addon-acpi</append>
-+ </match>
- </match>
- </device>
-
diff --git a/sysutils/hal/files/patch-fdi_policy_10osvendor_10-x11-input.fdi b/sysutils/hal/files/patch-fdi_policy_10osvendor_10-x11-input.fdi
deleted file mode 100644
index bb18f3310..000000000
--- a/sysutils/hal/files/patch-fdi_policy_10osvendor_10-x11-input.fdi
+++ /dev/null
@@ -1,31 +0,0 @@
---- fdi/policy/10osvendor/10-x11-input.fdi.orig 2009-06-26 03:28:39.000000000 -0400
-+++ fdi/policy/10osvendor/10-x11-input.fdi 2009-07-18 21:19:15.000000000 -0400
-@@ -7,15 +7,6 @@
- <merge key="input.x11_driver" type="string">evdev</merge>
- </match>
-
-- <!-- FIXME: Support tablets too. -->
-- <match key="info.capabilities" contains="input.mouse">
-- <merge key="input.x11_driver" type="string">mouse</merge>
-- <match key="/org/freedesktop/Hal/devices/computer:system.kernel.name"
-- string="Linux">
-- <merge key="input.x11_driver" type="string">evdev</merge>
-- </match>
-- </match>
--
- <match key="info.capabilities" contains="input.tablet">
- <match key="/org/freedesktop/Hal/devices/computer:system.kernel.name"
- string="Linux">
-@@ -23,10 +14,10 @@
- </match>
- </match>
-
-- <match key="info.capabilities" contains="input.keys">
-+ <match key="info.capabilities" contains="input.keyboard">
- <!-- If we're using Linux, we use evdev by default (falling back to
- keyboard otherwise). -->
-- <merge key="input.x11_driver" type="string">keyboard</merge>
-+ <merge key="input.x11_driver" type="string">kbd</merge>
- <match key="/org/freedesktop/Hal/devices/computer:system.kernel.name"
- string="Linux">
- <merge key="input.x11_driver" type="string">evdev</merge>
diff --git a/sysutils/hal/files/patch-hald_freebsd_addons_addon-storage.c b/sysutils/hal/files/patch-hald_freebsd_addons_addon-storage.c
deleted file mode 100644
index fed388c95..000000000
--- a/sysutils/hal/files/patch-hald_freebsd_addons_addon-storage.c
+++ /dev/null
@@ -1,105 +0,0 @@
---- hald/freebsd/addons/addon-storage.c.orig 2009-08-24 08:42:29.000000000 -0400
-+++ hald/freebsd/addons/addon-storage.c 2009-12-23 13:53:00.000000000 -0500
-@@ -107,8 +107,7 @@ hf_addon_storage_update (void)
-
- if (hf_addon_storage_cdrom_eject_pressed(cdrom))
- {
-- libhal_device_emit_condition(hfp_ctx, hfp_udi, "EjectPressed", "", &hfp_error);
-- dbus_error_free(&hfp_error);
-+ libhal_device_emit_condition(hfp_ctx, hfp_udi, "EjectPressed", "", NULL);
- }
-
- hfp_cdrom_free(cdrom);
-@@ -164,19 +163,17 @@ unmount_volumes (void)
- "block.storage_device",
- hfp_udi,
- &num_volumes,
-- &hfp_error)) != NULL)
-+ NULL)) != NULL)
- {
- int i;
-
-- dbus_error_free(&hfp_error);
--
- for (i = 0; i < num_volumes; i++)
- {
- char *vol_udi;
-
- vol_udi = volumes[i];
-
-- if (libhal_device_get_property_bool(hfp_ctx, vol_udi, "volume.is_mounted", &hfp_error))
-+ if (libhal_device_get_property_bool(hfp_ctx, vol_udi, "volume.is_mounted", NULL))
- {
- DBusMessage *msg = NULL;
- DBusMessage *reply = NULL;
-@@ -185,7 +182,6 @@ unmount_volumes (void)
- char **options = NULL;
- char *devfile;
-
-- dbus_error_free(&hfp_error);
- hfp_info("Forcing unmount of volume '%s'", vol_udi);
-
- dbus_connection = libhal_ctx_get_dbus_connection(hfp_ctx);
-@@ -265,10 +261,9 @@ poll_for_media (boolean check_only, bool
- check_lock_state = FALSE;
-
- hfp_info("Checking whether device %s is locked by HAL", addon.device_file);
-- if (libhal_device_is_locked_by_others(hfp_ctx, hfp_udi, "org.freedesktop.Hal.Device.Storage", &hfp_error))
-+ if (libhal_device_is_locked_by_others(hfp_ctx, hfp_udi, "org.freedesktop.Hal.Device.Storage", NULL))
- {
- hfp_info("... device %s is locked by HAL", addon.device_file);
-- dbus_error_free(&hfp_error);
- is_locked_by_hal = TRUE;
- update_proc_title(addon.device_file);
- goto skip_check;
-@@ -278,10 +273,8 @@ poll_for_media (boolean check_only, bool
- hfp_info("... device %s is not locked by HAL", addon.device_file);
- is_locked_by_hal = FALSE;
- }
-- dbus_error_free(&hfp_error);
-
-- should_poll = libhal_device_get_property_bool(hfp_ctx, hfp_udi, "storage.media_check_enabled", &hfp_error);
-- dbus_error_free(&hfp_error);
-+ should_poll = libhal_device_get_property_bool(hfp_ctx, hfp_udi, "storage.media_check_enabled", NULL);
- polling_disabled = ! should_poll;
- update_proc_title(addon.device_file);
- }
-@@ -314,8 +307,7 @@ poll_for_media (boolean check_only, bool
- unmount_volumes();
- #endif
-
-- libhal_device_rescan(hfp_ctx, hfp_udi, &hfp_error);
-- dbus_error_free(&hfp_error);
-+ libhal_device_rescan(hfp_ctx, hfp_udi, NULL);
- addon.had_media = has_media;
-
- return TRUE;
-@@ -412,12 +404,10 @@ main (int argc, char **argv)
- ! strcmp(driver, "cd")))) && ! strcmp(removable, "true");
- addon.had_media = poll_for_media(TRUE, FALSE);
-
-- if (! libhal_device_addon_is_ready(hfp_ctx, hfp_udi, &hfp_error))
-+ if (! libhal_device_addon_is_ready(hfp_ctx, hfp_udi, NULL))
- goto end;
-- dbus_error_free(&hfp_error);
-
-- syscon = dbus_bus_get(DBUS_BUS_SYSTEM, &hfp_error);
-- dbus_error_free(&hfp_error);
-+ syscon = dbus_bus_get(DBUS_BUS_SYSTEM, NULL);
- assert(syscon != NULL);
- dbus_connection_set_exit_on_disconnect(syscon, 0);
-
-@@ -452,12 +442,11 @@ main (int argc, char **argv)
- " <method name=\"CheckForMedia\">\n"
- " <arg name=\"call_had_sideeffect\" direction=\"out\" type=\"b\"/>\n"
- " </method>\n",
-- &hfp_error))
-+ NULL))
- {
- hfp_critical("Cannot claim interface 'org.freedesktop.Hal.Device.Storage.Removable'");
- goto end;
- }
-- dbus_error_free(&hfp_error);
-
- while (TRUE)
- {
diff --git a/sysutils/hal/files/patch-hald_freebsd_hf-usb.c b/sysutils/hal/files/patch-hald_freebsd_hf-usb.c
deleted file mode 100644
index 8e4d2a1b2..000000000
--- a/sysutils/hal/files/patch-hald_freebsd_hf-usb.c
+++ /dev/null
@@ -1,20 +0,0 @@
---- hald/freebsd/hf-usb.c.orig 2009-09-17 08:49:46.000000000 -0500
-+++ hald/freebsd/hf-usb.c 2010-03-17 22:20:33.000000000 -0500
-@@ -392,7 +392,7 @@
- hf_devtree_device_set_name(device, di->udi_devnames[0]);
-
- if ((devname = hf_usb_get_devname(di, "ukbd"))) /* USB keyboard */
-- hf_device_set_input(device, "keyboard", "keys", devname);
-+ hf_device_set_input(device, "keyboard", "keys", NULL);
- else if ((devname = hf_usb_get_devname(di, "ums"))) /* USB mouse */
- hf_device_set_input(device, "mouse", NULL, devname);
- else if ((devname = hf_usb_get_devname(di, "uhid"))) /* UHID device */
-@@ -908,6 +908,8 @@
-
- hal_device_property_set_string(device, "info.category", "video4linux");
- hal_device_add_capability(device, "video4linux");
-+ hal_device_add_capability(device, "video4linux.video_capture");
- hf_device_property_set_string_printf(device, "video4linux.device", "/dev/video%i", unit);
- hal_device_property_set_string(device, "info.product", "Video Device");
-+ hal_device_property_set_string(device, "video4linux.version", "1");
- }
diff --git a/sysutils/hal/files/patch-hald_freebsd_hf-usb2.c b/sysutils/hal/files/patch-hald_freebsd_hf-usb2.c
deleted file mode 100644
index af288291d..000000000
--- a/sysutils/hal/files/patch-hald_freebsd_hf-usb2.c
+++ /dev/null
@@ -1,153 +0,0 @@
---- hald/freebsd/hf-usb2.c.orig 2009-08-24 07:42:29.000000000 -0500
-+++ hald/freebsd/hf-usb2.c 2010-03-17 22:25:17.000000000 -0500
-@@ -42,22 +42,6 @@
- static struct libusb20_backend *hf_usb2_be = NULL;
-
- static void
--hf_usb2_copy_parent (HalDevice *parent,
-- const char *key,
-- gpointer user_data)
--{
-- HalDevice *device;
--
-- g_return_if_fail(HAL_IS_DEVICE(parent));
-- g_return_if_fail(HAL_IS_DEVICE(user_data));
--
-- device = HAL_DEVICE(user_data);
--
-- if (! strncmp(key, "usb_device.", strlen("usb_device.")))
-- hal_device_copy_property(parent, key, device, key);
--}
--
--static void
- hf_usb2_probe_interfaces(HalDevice *parent)
- {
- int num_interfaces;
-@@ -79,9 +63,9 @@
-
- hal_device_property_set_string(device, "info.subsystem", "usb");
- hal_device_property_set_int(device, "usb.interface.number", i);
-- hal_device_property_foreach(parent, hf_usb2_copy_parent, device);
- hal_device_copy_property(parent, "info.product", device, "info.product");
- hal_device_copy_property(parent, "info.vendor", device, "info.vendor");
-+ hal_device_merge_with_rewrite(device, parent, "usb.", "usb_device.");
-
- if (hf_device_preprobe(device))
- {
-@@ -98,10 +82,10 @@
- if (driver)
- {
- if (! strcmp(driver, "ukbd"))
-- hf_device_set_input(device, "keyboard", NULL);
-- else if (! strcmp(driver, "ums"))
-+ hf_device_set_input(device, "keyboard", "keys", NULL);
-+ else if (! strcmp(driver, "ums") || ! strcmp(driver, "atp"))
- {
-- hf_device_set_input(device, "mouse", devname);
-+ hf_device_set_input(device, "mouse", NULL, devname);
- hf_runner_run_sync(device, 0, "hald-probe-mouse", NULL);
- }
- else if (! strcmp(driver, "uhid"))
-@@ -133,6 +117,11 @@
- hf_usb_add_webcam_properties(device);
- }
- }
-+ else
-+ {
-+ /* Try and detect webcamd devices. */
-+ hf_runner_run_sync(device, 0, "hald-probe-video4linux", NULL);
-+ }
-
- hf_usb_device_compute_udi(device);
- hf_device_add(device);
-@@ -192,11 +181,12 @@
- addr = libusb20_dev_get_address(pdev);
-
- if (addr == 1)
-- parent = hf_devtree_find_parent_from_info(hald_get_gdl(), "usbus", bus);
-+ parent = hf_devtree_find_from_info(hald_get_gdl(), "usbus", bus);
- else
- parent = hf_device_store_match(hald_get_gdl(), "usb_device.bus_number",
- HAL_PROPERTY_TYPE_INT32, bus, "usb_device.port_number",
-- HAL_PROPERTY_TYPE_INT32, addr - 1, NULL);
-+ HAL_PROPERTY_TYPE_INT32, addr - 1, "info.bus",
-+ HAL_PROPERTY_TYPE_STRING, "usb_device", NULL);
- if (! parent || hal_device_property_get_bool(parent, "info.ignore"))
- continue;
-
-@@ -216,7 +206,13 @@
- HalDevice *parent_device;
- int bus, addr, pbus, paddr;
-
-- if (strncmp(name, "ugen", strlen("ugen")))
-+ if (! parent)
-+ return FALSE;
-+
-+ if (strncmp(name, "ugen", strlen("ugen")) &&
-+ ! strncmp(parent, "uhub", strlen("uhub")))
-+ return TRUE;
-+ else if (strncmp(name, "ugen", strlen("ugen")))
- return FALSE;
- else if (strncmp(parent, "ugen", strlen("ugen")))
- return TRUE;
-@@ -232,7 +228,8 @@
-
- parent_device = hf_device_store_match(hald_get_gdl(),
- "usb_device.bus_number", HAL_PROPERTY_TYPE_INT32, pbus,
-- "usb_device.port_number", HAL_PROPERTY_TYPE_INT32, paddr, NULL);
-+ "usb_device.port_number", HAL_PROPERTY_TYPE_INT32, paddr, "info.bus",
-+ HAL_PROPERTY_TYPE_STRING, "usb_device", NULL);
-
- if (parent_device && ! hal_device_property_get_bool(parent_device,
- "info.ignore"))
-@@ -255,8 +252,6 @@
-
- if (strncmp(name, "ugen", strlen("ugen")))
- return FALSE;
-- else if (strncmp(parent, "ugen", strlen("ugen")))
-- return TRUE;
-
- if (sscanf(name, "ugen%i.%i", &bus, &addr) != 2)
- return FALSE;
-@@ -265,7 +260,8 @@
-
- device = hf_device_store_match(hald_get_gdl(), "usb_device.bus_number",
- HAL_PROPERTY_TYPE_INT32, bus, "usb_device.port_number",
-- HAL_PROPERTY_TYPE_INT32, addr, NULL);
-+ HAL_PROPERTY_TYPE_INT32, addr, "info.bus",
-+ HAL_PROPERTY_TYPE_STRING, "usb_device", NULL);
-
- if (device)
- {
-@@ -276,6 +272,23 @@
- return FALSE;
- }
-
-+static gboolean
-+hf_usb2_devd_notify (const char *system,
-+ const char *subsystem,
-+ const char *type,
-+ const char *data)
-+{
-+ if (! data || strcmp(system, "DEVFS") || strcmp(subsystem, "CDEV") ||
-+ (strcmp(type, "CREATE") && strcmp(type, "DESTROY")))
-+ return FALSE;
-+
-+ if (! strncmp(data, "cdev=ugen", strlen("cdev=ugen")) ||
-+ ! strncmp(data, "cdev=usb", strlen("cdev=usb")))
-+ return TRUE;
-+
-+ return FALSE;
-+}
-+
- HFHandler hf_usb2_handler = {
- .privileged_init = hf_usb2_privileged_init,
- .probe = hf_usb2_probe
-@@ -283,5 +296,6 @@
-
- HFDevdHandler hf_usb2_devd_handler = {
- .add = hf_usb2_devd_add,
-- .remove = hf_usb2_devd_remove
-+ .remove = hf_usb2_devd_remove,
-+ .notify = hf_usb2_devd_notify
- };
diff --git a/sysutils/hal/files/patch-hald_freebsd_hf-volume.c b/sysutils/hal/files/patch-hald_freebsd_hf-volume.c
deleted file mode 100644
index 4fb0d95b4..000000000
--- a/sysutils/hal/files/patch-hald_freebsd_hf-volume.c
+++ /dev/null
@@ -1,16 +0,0 @@
---- hald/freebsd/hf-volume.c.orig 2009-12-23 14:01:00.000000000 -0500
-+++ hald/freebsd/hf-volume.c 2009-12-23 14:01:25.000000000 -0500
-@@ -86,9 +86,12 @@ hf_volume_resolve_fuse (const char *spec
- {
- if (strcmp(fields[0], special) == 0)
- {
-+ char *ret;
-+
-+ ret = g_strdup(fields[1]);
- g_strfreev(fields);
- g_strfreev(lines);
-- return g_strdup(fields[1]);
-+ return ret;
- }
- }
- g_strfreev(fields);
diff --git a/sysutils/hal/files/patch-hald_freebsd_probing_Makefile.am b/sysutils/hal/files/patch-hald_freebsd_probing_Makefile.am
deleted file mode 100644
index ccb4773de..000000000
--- a/sysutils/hal/files/patch-hald_freebsd_probing_Makefile.am
+++ /dev/null
@@ -1,27 +0,0 @@
---- hald/freebsd/probing/Makefile.am.orig 2009-08-24 08:42:29.000000000 -0400
-+++ hald/freebsd/probing/Makefile.am 2010-02-19 23:08:42.000000000 -0500
-@@ -19,7 +19,8 @@ libexec_PROGRAMS = \
- if HAVE_LIBUSB20
- libexec_PROGRAMS += \
- hald-probe-usb2-device \
-- hald-probe-usb2-interface
-+ hald-probe-usb2-interface \
-+ hald-probe-video4linux
- endif
- endif
-
-@@ -38,6 +39,14 @@ hald_probe_usb2_interface_SOURCES = prob
- hald_probe_usb2_interface_LDADD = \
- $(top_builddir)/hald/freebsd/libprobe/libhald_freebsd_probe.la \
- @LIBUSB20_LIBS@
-+
-+hald_probe_video4linux_SOURCES = probe-video4linux.c
-+hald_probe_video4linux_CPPFLAGS = \
-+ $(AM_CPPFLAGS) @GLIB_CFLAGS@
-+hald_probe_video4linux_LDADD = \
-+ $(top_builddir)/hald/freebsd/libprobe/libhald_freebsd_probe.la \
-+ @GLIB_LIBS@ \
-+ @LIBUSB20_LIBS@
- endif
-
- hald_probe_mouse_SOURCES = probe-mouse.c
diff --git a/sysutils/hal/files/patch-hald_freebsd_probing_Makefile.in b/sysutils/hal/files/patch-hald_freebsd_probing_Makefile.in
deleted file mode 100644
index de353f177..000000000
--- a/sysutils/hal/files/patch-hald_freebsd_probing_Makefile.in
+++ /dev/null
@@ -1,564 +0,0 @@
---- hald/freebsd/probing/Makefile.in.orig 2010-02-19 23:05:16.000000000 -0500
-+++ hald/freebsd/probing/Makefile.in 2010-02-19 23:14:32.000000000 -0500
-@@ -1,9 +1,8 @@
--# Makefile.in generated by automake 1.11 from Makefile.am.
-+# Makefile.in generated by automake 1.10.1 from Makefile.am.
- # @configure_input@
-
- # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
--# 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
--# Inc.
-+# 2003, 2004, 2005, 2006, 2007, 2008 Free Software Foundation, Inc.
- # This Makefile.in is free software; the Free Software Foundation
- # gives unlimited permission to copy and/or distribute it,
- # with or without modifications, as long as this notice is preserved.
-@@ -17,9 +16,8 @@
-
- VPATH = @srcdir@
- pkgdatadir = $(datadir)/@PACKAGE@
--pkgincludedir = $(includedir)/@PACKAGE@
- pkglibdir = $(libdir)/@PACKAGE@
--pkglibexecdir = $(libexecdir)/@PACKAGE@
-+pkgincludedir = $(includedir)/@PACKAGE@
- am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
- install_sh_DATA = $(install_sh) -c -m 644
- install_sh_PROGRAM = $(install_sh) -c
-@@ -44,7 +42,8 @@ host_triplet = @host@
- @HALD_COMPILE_FREEBSD_TRUE@ $(am__EXEEXT_1)
- @HALD_COMPILE_FREEBSD_TRUE@@HAVE_LIBUSB20_TRUE@am__append_1 = \
- @HALD_COMPILE_FREEBSD_TRUE@@HAVE_LIBUSB20_TRUE@ hald-probe-usb2-device \
--@HALD_COMPILE_FREEBSD_TRUE@@HAVE_LIBUSB20_TRUE@ hald-probe-usb2-interface
-+@HALD_COMPILE_FREEBSD_TRUE@@HAVE_LIBUSB20_TRUE@ hald-probe-usb2-interface \
-+@HALD_COMPILE_FREEBSD_TRUE@@HAVE_LIBUSB20_TRUE@ hald-probe-video4linux
-
- subdir = hald/freebsd/probing
- DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
-@@ -56,17 +55,15 @@ am__configure_deps = $(am__aclocal_m4_de
- mkinstalldirs = $(install_sh) -d
- CONFIG_HEADER = $(top_builddir)/config.h
- CONFIG_CLEAN_FILES =
--CONFIG_CLEAN_VPATH_FILES =
- @HALD_COMPILE_FREEBSD_TRUE@@HAVE_LIBUSB20_TRUE@am__EXEEXT_1 = hald-probe-usb2-device$(EXEEXT) \
--@HALD_COMPILE_FREEBSD_TRUE@@HAVE_LIBUSB20_TRUE@ hald-probe-usb2-interface$(EXEEXT)
-+@HALD_COMPILE_FREEBSD_TRUE@@HAVE_LIBUSB20_TRUE@ hald-probe-usb2-interface$(EXEEXT) \
-+@HALD_COMPILE_FREEBSD_TRUE@@HAVE_LIBUSB20_TRUE@ hald-probe-video4linux$(EXEEXT)
- am__installdirs = "$(DESTDIR)$(libexecdir)"
-+libexecPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
- PROGRAMS = $(libexec_PROGRAMS)
- am_hald_probe_hiddev_OBJECTS = probe-hiddev.$(OBJEXT)
- hald_probe_hiddev_OBJECTS = $(am_hald_probe_hiddev_OBJECTS)
- hald_probe_hiddev_DEPENDENCIES = $(top_builddir)/hald/freebsd/libprobe/libhald_freebsd_probe.la
--AM_V_lt = $(am__v_lt_$(V))
--am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
--am__v_lt_0 = --silent
- am_hald_probe_mouse_OBJECTS = hald_probe_mouse-probe-mouse.$(OBJEXT)
- hald_probe_mouse_OBJECTS = $(am_hald_probe_mouse_OBJECTS)
- hald_probe_mouse_DEPENDENCIES = $(top_builddir)/hald/freebsd/libprobe/libhald_freebsd_probe.la
-@@ -92,6 +89,10 @@ am__hald_probe_usb2_interface_SOURCES_DI
- hald_probe_usb2_interface_OBJECTS = \
- $(am_hald_probe_usb2_interface_OBJECTS)
- @HAVE_LIBUSB20_TRUE@hald_probe_usb2_interface_DEPENDENCIES = $(top_builddir)/hald/freebsd/libprobe/libhald_freebsd_probe.la
-+am__hald_probe_video4linux_SOURCES_DIST = probe-video4linux.c
-+@HAVE_LIBUSB20_TRUE@am_hald_probe_video4linux_OBJECTS = hald_probe_video4linux-probe-video4linux.$(OBJEXT)
-+hald_probe_video4linux_OBJECTS = $(am_hald_probe_video4linux_OBJECTS)
-+@HAVE_LIBUSB20_TRUE@hald_probe_video4linux_DEPENDENCIES = $(top_builddir)/hald/freebsd/libprobe/libhald_freebsd_probe.la
- am_hald_probe_volume_OBJECTS = \
- hald_probe_volume-freebsd_dvd_rw_utils.$(OBJEXT) \
- hald_probe_volume-probe-volume.$(OBJEXT)
-@@ -100,40 +101,27 @@ hald_probe_volume_DEPENDENCIES = $(top_b
- DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
- depcomp = $(SHELL) $(top_srcdir)/depcomp
- am__depfiles_maybe = depfiles
--am__mv = mv -f
- COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
- $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
--LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
-- $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
-- $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
-- $(AM_CFLAGS) $(CFLAGS)
--AM_V_CC = $(am__v_CC_$(V))
--am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
--am__v_CC_0 = @echo " CC " $@;
--AM_V_at = $(am__v_at_$(V))
--am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
--am__v_at_0 = @
-+LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
-+ --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
-+ $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
- CCLD = $(CC)
--LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
-- $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
-- $(AM_LDFLAGS) $(LDFLAGS) -o $@
--AM_V_CCLD = $(am__v_CCLD_$(V))
--am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
--am__v_CCLD_0 = @echo " CCLD " $@;
--AM_V_GEN = $(am__v_GEN_$(V))
--am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
--am__v_GEN_0 = @echo " GEN " $@;
-+LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
-+ --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
-+ $(LDFLAGS) -o $@
- SOURCES = $(hald_probe_hiddev_SOURCES) $(hald_probe_mouse_SOURCES) \
- $(hald_probe_scsi_SOURCES) $(hald_probe_smbios_SOURCES) \
- $(hald_probe_storage_SOURCES) \
- $(hald_probe_usb2_device_SOURCES) \
- $(hald_probe_usb2_interface_SOURCES) \
-- $(hald_probe_volume_SOURCES)
-+ $(hald_probe_video4linux_SOURCES) $(hald_probe_volume_SOURCES)
- DIST_SOURCES = $(hald_probe_hiddev_SOURCES) \
- $(hald_probe_mouse_SOURCES) $(hald_probe_scsi_SOURCES) \
- $(hald_probe_smbios_SOURCES) $(hald_probe_storage_SOURCES) \
- $(am__hald_probe_usb2_device_SOURCES_DIST) \
- $(am__hald_probe_usb2_interface_SOURCES_DIST) \
-+ $(am__hald_probe_video4linux_SOURCES_DIST) \
- $(hald_probe_volume_SOURCES)
- ETAGS = etags
- CTAGS = ctags
-@@ -142,7 +130,6 @@ ACLOCAL = @ACLOCAL@
- ACPI_ACPID = @ACPI_ACPID@
- ACPI_PROC = @ACPI_PROC@
- AMTAR = @AMTAR@
--AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
- AR = @AR@
- AUTOCONF = @AUTOCONF@
- AUTOHEADER = @AUTOHEADER@
-@@ -222,7 +209,6 @@ PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
- PACKAGE_NAME = @PACKAGE_NAME@
- PACKAGE_STRING = @PACKAGE_STRING@
- PACKAGE_TARNAME = @PACKAGE_TARNAME@
--PACKAGE_URL = @PACKAGE_URL@
- PACKAGE_VERSION = @PACKAGE_VERSION@
- PARTED_CFLAGS = @PARTED_CFLAGS@
- PARTED_LIBS = @PARTED_LIBS@
-@@ -325,6 +311,15 @@ hald_probe_hiddev_LDADD = \
- @HAVE_LIBUSB20_TRUE@ $(top_builddir)/hald/freebsd/libprobe/libhald_freebsd_probe.la \
- @HAVE_LIBUSB20_TRUE@ @LIBUSB20_LIBS@
-
-+@HAVE_LIBUSB20_TRUE@hald_probe_video4linux_SOURCES = probe-video4linux.c
-+@HAVE_LIBUSB20_TRUE@hald_probe_video4linux_CPPFLAGS = \
-+@HAVE_LIBUSB20_TRUE@ $(AM_CPPFLAGS) @GLIB_CFLAGS@
-+
-+@HAVE_LIBUSB20_TRUE@hald_probe_video4linux_LDADD = \
-+@HAVE_LIBUSB20_TRUE@ $(top_builddir)/hald/freebsd/libprobe/libhald_freebsd_probe.la \
-+@HAVE_LIBUSB20_TRUE@ @GLIB_LIBS@ \
-+@HAVE_LIBUSB20_TRUE@ @LIBUSB20_LIBS@
-+
- hald_probe_mouse_SOURCES = probe-mouse.c
- hald_probe_mouse_CPPFLAGS = $(AM_CPPFLAGS) @GLIB_CFLAGS@
- hald_probe_mouse_LDADD = \
-@@ -363,14 +358,14 @@ $(srcdir)/Makefile.in: @MAINTAINER_MODE_
- @for dep in $?; do \
- case '$(am__configure_deps)' in \
- *$$dep*) \
-- ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
-- && { if test -f $@; then exit 0; else break; fi; }; \
-+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
-+ && exit 0; \
- exit 1;; \
- esac; \
- done; \
-- echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu hald/freebsd/probing/Makefile'; \
-- $(am__cd) $(top_srcdir) && \
-- $(AUTOMAKE) --gnu hald/freebsd/probing/Makefile
-+ echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu hald/freebsd/probing/Makefile'; \
-+ cd $(top_srcdir) && \
-+ $(AUTOMAKE) --gnu hald/freebsd/probing/Makefile
- .PRECIOUS: Makefile
- Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
- @case '$?' in \
-@@ -388,74 +383,61 @@ $(top_srcdir)/configure: @MAINTAINER_MOD
- cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
- $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
- cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
--$(am__aclocal_m4_deps):
- install-libexecPROGRAMS: $(libexec_PROGRAMS)
- @$(NORMAL_INSTALL)
- test -z "$(libexecdir)" || $(MKDIR_P) "$(DESTDIR)$(libexecdir)"
-- @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
-- for p in $$list; do echo "$$p $$p"; done | \
-- sed 's/$(EXEEXT)$$//' | \
-- while read p p1; do if test -f $$p || test -f $$p1; \
-- then echo "$$p"; echo "$$p"; else :; fi; \
-- done | \
-- sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
-- -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
-- sed 'N;N;N;s,\n, ,g' | \
-- $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
-- { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
-- if ($$2 == $$4) files[d] = files[d] " " $$1; \
-- else { print "f", $$3 "/" $$4, $$1; } } \
-- END { for (d in files) print "f", d, files[d] }' | \
-- while read type dir files; do \
-- if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
-- test -z "$$files" || { \
-- echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
-- $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
-- } \
-- ; done
-+ @list='$(libexec_PROGRAMS)'; for p in $$list; do \
-+ p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
-+ if test -f $$p \
-+ || test -f $$p1 \
-+ ; then \
-+ f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
-+ echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(libexecPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(libexecdir)/$$f'"; \
-+ $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(libexecPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(libexecdir)/$$f" || exit 1; \
-+ else :; fi; \
-+ done
-
- uninstall-libexecPROGRAMS:
- @$(NORMAL_UNINSTALL)
-- @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
-- files=`for p in $$list; do echo "$$p"; done | \
-- sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
-- -e 's/$$/$(EXEEXT)/' `; \
-- test -n "$$list" || exit 0; \
-- echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
-- cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
-+ @list='$(libexec_PROGRAMS)'; for p in $$list; do \
-+ f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
-+ echo " rm -f '$(DESTDIR)$(libexecdir)/$$f'"; \
-+ rm -f "$(DESTDIR)$(libexecdir)/$$f"; \
-+ done
-
- clean-libexecPROGRAMS:
-- @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
-- echo " rm -f" $$list; \
-- rm -f $$list || exit $$?; \
-- test -n "$(EXEEXT)" || exit 0; \
-- list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
-- echo " rm -f" $$list; \
-- rm -f $$list
-+ @list='$(libexec_PROGRAMS)'; for p in $$list; do \
-+ f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
-+ echo " rm -f $$p $$f"; \
-+ rm -f $$p $$f ; \
-+ done
- hald-probe-hiddev$(EXEEXT): $(hald_probe_hiddev_OBJECTS) $(hald_probe_hiddev_DEPENDENCIES)
- @rm -f hald-probe-hiddev$(EXEEXT)
-- $(AM_V_CCLD)$(LINK) $(hald_probe_hiddev_OBJECTS) $(hald_probe_hiddev_LDADD) $(LIBS)
-+ $(LINK) $(hald_probe_hiddev_OBJECTS) $(hald_probe_hiddev_LDADD) $(LIBS)
- hald-probe-mouse$(EXEEXT): $(hald_probe_mouse_OBJECTS) $(hald_probe_mouse_DEPENDENCIES)
- @rm -f hald-probe-mouse$(EXEEXT)
-- $(AM_V_CCLD)$(LINK) $(hald_probe_mouse_OBJECTS) $(hald_probe_mouse_LDADD) $(LIBS)
-+ $(LINK) $(hald_probe_mouse_OBJECTS) $(hald_probe_mouse_LDADD) $(LIBS)
- hald-probe-scsi$(EXEEXT): $(hald_probe_scsi_OBJECTS) $(hald_probe_scsi_DEPENDENCIES)
- @rm -f hald-probe-scsi$(EXEEXT)
-- $(AM_V_CCLD)$(LINK) $(hald_probe_scsi_OBJECTS) $(hald_probe_scsi_LDADD) $(LIBS)
-+ $(LINK) $(hald_probe_scsi_OBJECTS) $(hald_probe_scsi_LDADD) $(LIBS)
- hald-probe-smbios$(EXEEXT): $(hald_probe_smbios_OBJECTS) $(hald_probe_smbios_DEPENDENCIES)
- @rm -f hald-probe-smbios$(EXEEXT)
-- $(AM_V_CCLD)$(LINK) $(hald_probe_smbios_OBJECTS) $(hald_probe_smbios_LDADD) $(LIBS)
-+ $(LINK) $(hald_probe_smbios_OBJECTS) $(hald_probe_smbios_LDADD) $(LIBS)
- hald-probe-storage$(EXEEXT): $(hald_probe_storage_OBJECTS) $(hald_probe_storage_DEPENDENCIES)
- @rm -f hald-probe-storage$(EXEEXT)
-- $(AM_V_CCLD)$(LINK) $(hald_probe_storage_OBJECTS) $(hald_probe_storage_LDADD) $(LIBS)
-+ $(LINK) $(hald_probe_storage_OBJECTS) $(hald_probe_storage_LDADD) $(LIBS)
- hald-probe-usb2-device$(EXEEXT): $(hald_probe_usb2_device_OBJECTS) $(hald_probe_usb2_device_DEPENDENCIES)
- @rm -f hald-probe-usb2-device$(EXEEXT)
-- $(AM_V_CCLD)$(LINK) $(hald_probe_usb2_device_OBJECTS) $(hald_probe_usb2_device_LDADD) $(LIBS)
-+ $(LINK) $(hald_probe_usb2_device_OBJECTS) $(hald_probe_usb2_device_LDADD) $(LIBS)
- hald-probe-usb2-interface$(EXEEXT): $(hald_probe_usb2_interface_OBJECTS) $(hald_probe_usb2_interface_DEPENDENCIES)
- @rm -f hald-probe-usb2-interface$(EXEEXT)
-- $(AM_V_CCLD)$(LINK) $(hald_probe_usb2_interface_OBJECTS) $(hald_probe_usb2_interface_LDADD) $(LIBS)
-+ $(LINK) $(hald_probe_usb2_interface_OBJECTS) $(hald_probe_usb2_interface_LDADD) $(LIBS)
-+hald-probe-video4linux$(EXEEXT): $(hald_probe_video4linux_OBJECTS) $(hald_probe_video4linux_DEPENDENCIES)
-+ @rm -f hald-probe-video4linux$(EXEEXT)
-+ $(LINK) $(hald_probe_video4linux_OBJECTS) $(hald_probe_video4linux_LDADD) $(LIBS)
- hald-probe-volume$(EXEEXT): $(hald_probe_volume_OBJECTS) $(hald_probe_volume_DEPENDENCIES)
- @rm -f hald-probe-volume$(EXEEXT)
-- $(AM_V_CCLD)$(LINK) $(hald_probe_volume_OBJECTS) $(hald_probe_volume_LDADD) $(LIBS)
-+ $(LINK) $(hald_probe_volume_OBJECTS) $(hald_probe_volume_LDADD) $(LIBS)
-
- mostlyclean-compile:
- -rm -f *.$(OBJEXT)
-@@ -466,6 +448,7 @@ distclean-compile:
- @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hald_probe_mouse-probe-mouse.Po@am__quote@
- @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hald_probe_storage-freebsd_dvd_rw_utils.Po@am__quote@
- @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hald_probe_storage-probe-storage.Po@am__quote@
-+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hald_probe_video4linux-probe-video4linux.Po@am__quote@
- @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hald_probe_volume-freebsd_dvd_rw_utils.Po@am__quote@
- @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hald_probe_volume-probe-volume.Po@am__quote@
- @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/probe-hiddev.Po@am__quote@
-@@ -475,105 +458,106 @@ distclean-compile:
- @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/probe-usb2-interface.Po@am__quote@
-
- .c.o:
--@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
--@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
--@am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
-+@am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-+@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
- @am__fastdepCC_FALSE@ $(COMPILE) -c $<
-
- .c.obj:
--@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
--@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
--@am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
-+@am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-+@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
- @am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
-
- .c.lo:
--@am__fastdepCC_TRUE@ $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
--@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
--@am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
-+@am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-+@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
- @am__fastdepCC_FALSE@ $(LTCOMPILE) -c -o $@ $<
-
- hald_probe_mouse-probe-mouse.o: probe-mouse.c
--@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_mouse_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_mouse-probe-mouse.o -MD -MP -MF $(DEPDIR)/hald_probe_mouse-probe-mouse.Tpo -c -o hald_probe_mouse-probe-mouse.o `test -f 'probe-mouse.c' || echo '$(srcdir)/'`probe-mouse.c
--@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/hald_probe_mouse-probe-mouse.Tpo $(DEPDIR)/hald_probe_mouse-probe-mouse.Po
--@am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
-+@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_mouse_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_mouse-probe-mouse.o -MD -MP -MF $(DEPDIR)/hald_probe_mouse-probe-mouse.Tpo -c -o hald_probe_mouse-probe-mouse.o `test -f 'probe-mouse.c' || echo '$(srcdir)/'`probe-mouse.c
-+@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/hald_probe_mouse-probe-mouse.Tpo $(DEPDIR)/hald_probe_mouse-probe-mouse.Po
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='probe-mouse.c' object='hald_probe_mouse-probe-mouse.o' libtool=no @AMDEPBACKSLASH@
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
- @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_mouse_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hald_probe_mouse-probe-mouse.o `test -f 'probe-mouse.c' || echo '$(srcdir)/'`probe-mouse.c
-
- hald_probe_mouse-probe-mouse.obj: probe-mouse.c
--@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_mouse_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_mouse-probe-mouse.obj -MD -MP -MF $(DEPDIR)/hald_probe_mouse-probe-mouse.Tpo -c -o hald_probe_mouse-probe-mouse.obj `if test -f 'probe-mouse.c'; then $(CYGPATH_W) 'probe-mouse.c'; else $(CYGPATH_W) '$(srcdir)/probe-mouse.c'; fi`
--@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/hald_probe_mouse-probe-mouse.Tpo $(DEPDIR)/hald_probe_mouse-probe-mouse.Po
--@am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
-+@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_mouse_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_mouse-probe-mouse.obj -MD -MP -MF $(DEPDIR)/hald_probe_mouse-probe-mouse.Tpo -c -o hald_probe_mouse-probe-mouse.obj `if test -f 'probe-mouse.c'; then $(CYGPATH_W) 'probe-mouse.c'; else $(CYGPATH_W) '$(srcdir)/probe-mouse.c'; fi`
-+@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/hald_probe_mouse-probe-mouse.Tpo $(DEPDIR)/hald_probe_mouse-probe-mouse.Po
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='probe-mouse.c' object='hald_probe_mouse-probe-mouse.obj' libtool=no @AMDEPBACKSLASH@
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
- @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_mouse_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hald_probe_mouse-probe-mouse.obj `if test -f 'probe-mouse.c'; then $(CYGPATH_W) 'probe-mouse.c'; else $(CYGPATH_W) '$(srcdir)/probe-mouse.c'; fi`
-
- hald_probe_storage-freebsd_dvd_rw_utils.o: freebsd_dvd_rw_utils.c
--@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_storage_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_storage-freebsd_dvd_rw_utils.o -MD -MP -MF $(DEPDIR)/hald_probe_storage-freebsd_dvd_rw_utils.Tpo -c -o hald_probe_storage-freebsd_dvd_rw_utils.o `test -f 'freebsd_dvd_rw_utils.c' || echo '$(srcdir)/'`freebsd_dvd_rw_utils.c
--@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/hald_probe_storage-freebsd_dvd_rw_utils.Tpo $(DEPDIR)/hald_probe_storage-freebsd_dvd_rw_utils.Po
--@am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
-+@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_storage_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_storage-freebsd_dvd_rw_utils.o -MD -MP -MF $(DEPDIR)/hald_probe_storage-freebsd_dvd_rw_utils.Tpo -c -o hald_probe_storage-freebsd_dvd_rw_utils.o `test -f 'freebsd_dvd_rw_utils.c' || echo '$(srcdir)/'`freebsd_dvd_rw_utils.c
-+@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/hald_probe_storage-freebsd_dvd_rw_utils.Tpo $(DEPDIR)/hald_probe_storage-freebsd_dvd_rw_utils.Po
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='freebsd_dvd_rw_utils.c' object='hald_probe_storage-freebsd_dvd_rw_utils.o' libtool=no @AMDEPBACKSLASH@
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
- @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_storage_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hald_probe_storage-freebsd_dvd_rw_utils.o `test -f 'freebsd_dvd_rw_utils.c' || echo '$(srcdir)/'`freebsd_dvd_rw_utils.c
-
- hald_probe_storage-freebsd_dvd_rw_utils.obj: freebsd_dvd_rw_utils.c
--@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_storage_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_storage-freebsd_dvd_rw_utils.obj -MD -MP -MF $(DEPDIR)/hald_probe_storage-freebsd_dvd_rw_utils.Tpo -c -o hald_probe_storage-freebsd_dvd_rw_utils.obj `if test -f 'freebsd_dvd_rw_utils.c'; then $(CYGPATH_W) 'freebsd_dvd_rw_utils.c'; else $(CYGPATH_W) '$(srcdir)/freebsd_dvd_rw_utils.c'; fi`
--@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/hald_probe_storage-freebsd_dvd_rw_utils.Tpo $(DEPDIR)/hald_probe_storage-freebsd_dvd_rw_utils.Po
--@am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
-+@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_storage_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_storage-freebsd_dvd_rw_utils.obj -MD -MP -MF $(DEPDIR)/hald_probe_storage-freebsd_dvd_rw_utils.Tpo -c -o hald_probe_storage-freebsd_dvd_rw_utils.obj `if test -f 'freebsd_dvd_rw_utils.c'; then $(CYGPATH_W) 'freebsd_dvd_rw_utils.c'; else $(CYGPATH_W) '$(srcdir)/freebsd_dvd_rw_utils.c'; fi`
-+@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/hald_probe_storage-freebsd_dvd_rw_utils.Tpo $(DEPDIR)/hald_probe_storage-freebsd_dvd_rw_utils.Po
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='freebsd_dvd_rw_utils.c' object='hald_probe_storage-freebsd_dvd_rw_utils.obj' libtool=no @AMDEPBACKSLASH@
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
- @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_storage_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hald_probe_storage-freebsd_dvd_rw_utils.obj `if test -f 'freebsd_dvd_rw_utils.c'; then $(CYGPATH_W) 'freebsd_dvd_rw_utils.c'; else $(CYGPATH_W) '$(srcdir)/freebsd_dvd_rw_utils.c'; fi`
-
- hald_probe_storage-probe-storage.o: probe-storage.c
--@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_storage_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_storage-probe-storage.o -MD -MP -MF $(DEPDIR)/hald_probe_storage-probe-storage.Tpo -c -o hald_probe_storage-probe-storage.o `test -f 'probe-storage.c' || echo '$(srcdir)/'`probe-storage.c
--@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/hald_probe_storage-probe-storage.Tpo $(DEPDIR)/hald_probe_storage-probe-storage.Po
--@am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
-+@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_storage_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_storage-probe-storage.o -MD -MP -MF $(DEPDIR)/hald_probe_storage-probe-storage.Tpo -c -o hald_probe_storage-probe-storage.o `test -f 'probe-storage.c' || echo '$(srcdir)/'`probe-storage.c
-+@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/hald_probe_storage-probe-storage.Tpo $(DEPDIR)/hald_probe_storage-probe-storage.Po
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='probe-storage.c' object='hald_probe_storage-probe-storage.o' libtool=no @AMDEPBACKSLASH@
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
- @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_storage_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hald_probe_storage-probe-storage.o `test -f 'probe-storage.c' || echo '$(srcdir)/'`probe-storage.c
-
- hald_probe_storage-probe-storage.obj: probe-storage.c
--@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_storage_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_storage-probe-storage.obj -MD -MP -MF $(DEPDIR)/hald_probe_storage-probe-storage.Tpo -c -o hald_probe_storage-probe-storage.obj `if test -f 'probe-storage.c'; then $(CYGPATH_W) 'probe-storage.c'; else $(CYGPATH_W) '$(srcdir)/probe-storage.c'; fi`
--@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/hald_probe_storage-probe-storage.Tpo $(DEPDIR)/hald_probe_storage-probe-storage.Po
--@am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
-+@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_storage_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_storage-probe-storage.obj -MD -MP -MF $(DEPDIR)/hald_probe_storage-probe-storage.Tpo -c -o hald_probe_storage-probe-storage.obj `if test -f 'probe-storage.c'; then $(CYGPATH_W) 'probe-storage.c'; else $(CYGPATH_W) '$(srcdir)/probe-storage.c'; fi`
-+@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/hald_probe_storage-probe-storage.Tpo $(DEPDIR)/hald_probe_storage-probe-storage.Po
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='probe-storage.c' object='hald_probe_storage-probe-storage.obj' libtool=no @AMDEPBACKSLASH@
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
- @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_storage_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hald_probe_storage-probe-storage.obj `if test -f 'probe-storage.c'; then $(CYGPATH_W) 'probe-storage.c'; else $(CYGPATH_W) '$(srcdir)/probe-storage.c'; fi`
-
-+hald_probe_video4linux-probe-video4linux.o: probe-video4linux.c
-+@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_video4linux_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_video4linux-probe-video4linux.o -MD -MP -MF $(DEPDIR)/hald_probe_video4linux-probe-video4linux.Tpo -c -o hald_probe_video4linux-probe-video4linux.o `test -f 'probe-video4linux.c' || echo '$(srcdir)/'`probe-video4linux.c
-+@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/hald_probe_video4linux-probe-video4linux.Tpo $(DEPDIR)/hald_probe_video4linux-probe-video4linux.Po
-+@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='probe-video4linux.c' object='hald_probe_video4linux-probe-video4linux.o' libtool=no @AMDEPBACKSLASH@
-+@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-+@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_video4linux_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hald_probe_video4linux-probe-video4linux.o `test -f 'probe-video4linux.c' || echo '$(srcdir)/'`probe-video4linux.c
-+
-+hald_probe_video4linux-probe-video4linux.obj: probe-video4linux.c
-+@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_video4linux_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_video4linux-probe-video4linux.obj -MD -MP -MF $(DEPDIR)/hald_probe_video4linux-probe-video4linux.Tpo -c -o hald_probe_video4linux-probe-video4linux.obj `if test -f 'probe-video4linux.c'; then $(CYGPATH_W) 'probe-video4linux.c'; else $(CYGPATH_W) '$(srcdir)/probe-video4linux.c'; fi`
-+@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/hald_probe_video4linux-probe-video4linux.Tpo $(DEPDIR)/hald_probe_video4linux-probe-video4linux.Po
-+@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='probe-video4linux.c' object='hald_probe_video4linux-probe-video4linux.obj' libtool=no @AMDEPBACKSLASH@
-+@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-+@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_video4linux_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hald_probe_video4linux-probe-video4linux.obj `if test -f 'probe-video4linux.c'; then $(CYGPATH_W) 'probe-video4linux.c'; else $(CYGPATH_W) '$(srcdir)/probe-video4linux.c'; fi`
-+
- hald_probe_volume-freebsd_dvd_rw_utils.o: freebsd_dvd_rw_utils.c
--@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_volume_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_volume-freebsd_dvd_rw_utils.o -MD -MP -MF $(DEPDIR)/hald_probe_volume-freebsd_dvd_rw_utils.Tpo -c -o hald_probe_volume-freebsd_dvd_rw_utils.o `test -f 'freebsd_dvd_rw_utils.c' || echo '$(srcdir)/'`freebsd_dvd_rw_utils.c
--@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/hald_probe_volume-freebsd_dvd_rw_utils.Tpo $(DEPDIR)/hald_probe_volume-freebsd_dvd_rw_utils.Po
--@am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
-+@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_volume_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_volume-freebsd_dvd_rw_utils.o -MD -MP -MF $(DEPDIR)/hald_probe_volume-freebsd_dvd_rw_utils.Tpo -c -o hald_probe_volume-freebsd_dvd_rw_utils.o `test -f 'freebsd_dvd_rw_utils.c' || echo '$(srcdir)/'`freebsd_dvd_rw_utils.c
-+@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/hald_probe_volume-freebsd_dvd_rw_utils.Tpo $(DEPDIR)/hald_probe_volume-freebsd_dvd_rw_utils.Po
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='freebsd_dvd_rw_utils.c' object='hald_probe_volume-freebsd_dvd_rw_utils.o' libtool=no @AMDEPBACKSLASH@
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
- @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_volume_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hald_probe_volume-freebsd_dvd_rw_utils.o `test -f 'freebsd_dvd_rw_utils.c' || echo '$(srcdir)/'`freebsd_dvd_rw_utils.c
-
- hald_probe_volume-freebsd_dvd_rw_utils.obj: freebsd_dvd_rw_utils.c
--@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_volume_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_volume-freebsd_dvd_rw_utils.obj -MD -MP -MF $(DEPDIR)/hald_probe_volume-freebsd_dvd_rw_utils.Tpo -c -o hald_probe_volume-freebsd_dvd_rw_utils.obj `if test -f 'freebsd_dvd_rw_utils.c'; then $(CYGPATH_W) 'freebsd_dvd_rw_utils.c'; else $(CYGPATH_W) '$(srcdir)/freebsd_dvd_rw_utils.c'; fi`
--@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/hald_probe_volume-freebsd_dvd_rw_utils.Tpo $(DEPDIR)/hald_probe_volume-freebsd_dvd_rw_utils.Po
--@am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
-+@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_volume_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_volume-freebsd_dvd_rw_utils.obj -MD -MP -MF $(DEPDIR)/hald_probe_volume-freebsd_dvd_rw_utils.Tpo -c -o hald_probe_volume-freebsd_dvd_rw_utils.obj `if test -f 'freebsd_dvd_rw_utils.c'; then $(CYGPATH_W) 'freebsd_dvd_rw_utils.c'; else $(CYGPATH_W) '$(srcdir)/freebsd_dvd_rw_utils.c'; fi`
-+@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/hald_probe_volume-freebsd_dvd_rw_utils.Tpo $(DEPDIR)/hald_probe_volume-freebsd_dvd_rw_utils.Po
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='freebsd_dvd_rw_utils.c' object='hald_probe_volume-freebsd_dvd_rw_utils.obj' libtool=no @AMDEPBACKSLASH@
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
- @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_volume_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hald_probe_volume-freebsd_dvd_rw_utils.obj `if test -f 'freebsd_dvd_rw_utils.c'; then $(CYGPATH_W) 'freebsd_dvd_rw_utils.c'; else $(CYGPATH_W) '$(srcdir)/freebsd_dvd_rw_utils.c'; fi`
-
- hald_probe_volume-probe-volume.o: probe-volume.c
--@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_volume_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_volume-probe-volume.o -MD -MP -MF $(DEPDIR)/hald_probe_volume-probe-volume.Tpo -c -o hald_probe_volume-probe-volume.o `test -f 'probe-volume.c' || echo '$(srcdir)/'`probe-volume.c
--@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/hald_probe_volume-probe-volume.Tpo $(DEPDIR)/hald_probe_volume-probe-volume.Po
--@am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
-+@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_volume_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_volume-probe-volume.o -MD -MP -MF $(DEPDIR)/hald_probe_volume-probe-volume.Tpo -c -o hald_probe_volume-probe-volume.o `test -f 'probe-volume.c' || echo '$(srcdir)/'`probe-volume.c
-+@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/hald_probe_volume-probe-volume.Tpo $(DEPDIR)/hald_probe_volume-probe-volume.Po
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='probe-volume.c' object='hald_probe_volume-probe-volume.o' libtool=no @AMDEPBACKSLASH@
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
- @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_volume_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hald_probe_volume-probe-volume.o `test -f 'probe-volume.c' || echo '$(srcdir)/'`probe-volume.c
-
- hald_probe_volume-probe-volume.obj: probe-volume.c
--@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_volume_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_volume-probe-volume.obj -MD -MP -MF $(DEPDIR)/hald_probe_volume-probe-volume.Tpo -c -o hald_probe_volume-probe-volume.obj `if test -f 'probe-volume.c'; then $(CYGPATH_W) 'probe-volume.c'; else $(CYGPATH_W) '$(srcdir)/probe-volume.c'; fi`
--@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/hald_probe_volume-probe-volume.Tpo $(DEPDIR)/hald_probe_volume-probe-volume.Po
--@am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
-+@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_volume_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hald_probe_volume-probe-volume.obj -MD -MP -MF $(DEPDIR)/hald_probe_volume-probe-volume.Tpo -c -o hald_probe_volume-probe-volume.obj `if test -f 'probe-volume.c'; then $(CYGPATH_W) 'probe-volume.c'; else $(CYGPATH_W) '$(srcdir)/probe-volume.c'; fi`
-+@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/hald_probe_volume-probe-volume.Tpo $(DEPDIR)/hald_probe_volume-probe-volume.Po
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='probe-volume.c' object='hald_probe_volume-probe-volume.obj' libtool=no @AMDEPBACKSLASH@
- @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
- @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hald_probe_volume_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hald_probe_volume-probe-volume.obj `if test -f 'probe-volume.c'; then $(CYGPATH_W) 'probe-volume.c'; else $(CYGPATH_W) '$(srcdir)/probe-volume.c'; fi`
-@@ -589,14 +573,14 @@ ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS
- unique=`for i in $$list; do \
- if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
- done | \
-- $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
-+ $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
- END { if (nonempty) { for (i in files) print i; }; }'`; \
- mkid -fID $$unique
- tags: TAGS
-
- TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
- $(TAGS_FILES) $(LISP)
-- set x; \
-+ tags=; \
- here=`pwd`; \
- list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
- unique=`for i in $$list; do \
-@@ -604,34 +588,29 @@ TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEP
- done | \
- $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
- END { if (nonempty) { for (i in files) print i; }; }'`; \
-- shift; \
-- if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
-+ if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
- test -n "$$unique" || unique=$$empty_fix; \
-- if test $$# -gt 0; then \
-- $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-- "$$@" $$unique; \
-- else \
-- $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-- $$unique; \
-- fi; \
-+ $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-+ $$tags $$unique; \
- fi
- ctags: CTAGS
- CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
- $(TAGS_FILES) $(LISP)
-+ tags=; \
- list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
- unique=`for i in $$list; do \
- if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
- done | \
- $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
- END { if (nonempty) { for (i in files) print i; }; }'`; \
-- test -z "$(CTAGS_ARGS)$$unique" \
-+ test -z "$(CTAGS_ARGS)$$tags$$unique" \
- || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
-- $$unique
-+ $$tags $$unique
-
- GTAGS:
- here=`$(am__cd) $(top_builddir) && pwd` \
-- && $(am__cd) $(top_srcdir) \
-- && gtags -i $(GTAGS_ARGS) "$$here"
-+ && cd $(top_srcdir) \
-+ && gtags -i $(GTAGS_ARGS) $$here
-
- distclean-tags:
- -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-@@ -652,17 +631,13 @@ distdir: $(DISTFILES)
- if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
- if test -d $$d/$$file; then \
- dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-- if test -d "$(distdir)/$$file"; then \
-- find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-- fi; \
- if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-- cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-- find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-+ cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
- fi; \
-- cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-+ cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
- else \
-- test -f "$(distdir)/$$file" \
-- || cp -p $$d/$$file "$(distdir)/$$file" \
-+ test -f $(distdir)/$$file \
-+ || cp -p $$d/$$file $(distdir)/$$file \
- || exit 1; \
- fi; \
- done
-@@ -693,7 +668,6 @@ clean-generic:
-
- distclean-generic:
- -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
-- -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
-
- maintainer-clean-generic:
- @echo "This command is intended for maintainers to use"
-@@ -715,8 +689,6 @@ dvi-am:
-
- html: html-am
-
--html-am:
--
- info: info-am
-
- info-am:
-@@ -725,28 +697,18 @@ install-data-am:
-
- install-dvi: install-dvi-am
-
--install-dvi-am:
--
- install-exec-am: install-libexecPROGRAMS
-
- install-html: install-html-am
-
--install-html-am:
--
- install-info: install-info-am
-
--install-info-am:
--
- install-man:
-
- install-pdf: install-pdf-am
-
--install-pdf-am:
--
- install-ps: install-ps-am
-
--install-ps-am:
--
- installcheck-am:
-
- maintainer-clean: maintainer-clean-am
-@@ -785,7 +747,6 @@ uninstall-am: uninstall-libexecPROGRAMS
- mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
- tags uninstall uninstall-am uninstall-libexecPROGRAMS
-
--
- # Tell versions [3.59,3.63) of GNU make to not export all variables.
- # Otherwise a system limit (for SysV at least) may be exceeded.
- .NOEXPORT:
diff --git a/sysutils/hal/files/patch-hald_freebsd_probing_probe-usb2-interface.c b/sysutils/hal/files/patch-hald_freebsd_probing_probe-usb2-interface.c
deleted file mode 100644
index fa04e0fa0..000000000
--- a/sysutils/hal/files/patch-hald_freebsd_probing_probe-usb2-interface.c
+++ /dev/null
@@ -1,16 +0,0 @@
---- hald/freebsd/probing/probe-usb2-interface.c.orig 2010-01-23 22:01:20.000000000 -0500
-+++ hald/freebsd/probing/probe-usb2-interface.c 2010-01-23 22:01:49.000000000 -0500
-@@ -58,11 +58,11 @@ main(int argc, char **argv)
- if (pbe == NULL)
- goto end;
-
-- busstr = getenv("HAL_PROP_USB_DEVICE_BUS_NUMBER");
-+ busstr = getenv("HAL_PROP_USB_BUS_NUMBER");
- if (! busstr)
- goto end;
-
-- addrstr = getenv("HAL_PROP_USB_DEVICE_PORT_NUMBER");
-+ addrstr = getenv("HAL_PROP_USB_PORT_NUMBER");
- if (! addrstr)
- goto end;
-
diff --git a/sysutils/hal/files/patch-hald_freebsd_probing_probe-video4linux.c b/sysutils/hal/files/patch-hald_freebsd_probing_probe-video4linux.c
deleted file mode 100644
index 83fe65b85..000000000
--- a/sysutils/hal/files/patch-hald_freebsd_probing_probe-video4linux.c
+++ /dev/null
@@ -1,228 +0,0 @@
---- hald/freebsd/probing/probe-video4linux.c.orig 2010-02-21 14:51:01.000000000 -0500
-+++ hald/freebsd/probing/probe-video4linux.c 2010-02-21 14:54:51.000000000 -0500
-@@ -0,0 +1,225 @@
-+/***************************************************************************
-+ * CVSID: $Id: patch-hald_freebsd_probing_probe-video4linux.c,v 1.4 2010-02-21 19:57:47 marcus Exp $
-+ *
-+ * probe-video4linux.c : Probe video4linux devices
-+ * Adapted for FreeBSD by : Joe Marcus Clarke <marcus@FreeBSD.org>
-+ *
-+ * Copyright (C) 2007 Nokia Corporation
-+ *
-+ * Licensed under the Academic Free License version 2.1
-+ *
-+ * This program is free software; you can redistribute it and/or modify
-+ * it under the terms of the GNU General Public License as published by
-+ * the Free Software Foundation; either version 2 of the License, or
-+ * (at your option) any later version.
-+ *
-+ * This program is distributed in the hope that it will be useful,
-+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
-+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-+ * GNU General Public License for more details.
-+ *
-+ * You should have received a copy of the GNU General Public License
-+ * along with this program; if not, write to the Free Software
-+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
-+ *
-+ **************************************************************************/
-+
-+#ifdef HAVE_CONFIG_H
-+# include <config.h>
-+#endif
-+
-+#include <sys/types.h>
-+#include <sys/user.h>
-+#include <sys/sysctl.h>
-+#include <sys/time.h>
-+#include <sys/ioctl.h>
-+#include <linux/videodev.h>
-+#include <linux/videodev2.h>
-+#include <errno.h>
-+#include <fcntl.h>
-+#include <stdint.h>
-+#include <stdio.h>
-+#include <stdlib.h>
-+#include <string.h>
-+#include <unistd.h>
-+#include <glib.h>
-+
-+#include "../libprobe/hfp.h"
-+
-+#define WEBCAMD_PID_FILE "/var/run/webcamd"
-+#define V4B_DEVICES_MAX 10 /* XXX from video4bsd.h */
-+
-+static int
-+hfp_v4l_get_unit (int bus, int addr)
-+{
-+ int i;
-+ pid_t pid;
-+ int mib[4];
-+ char *endptr;
-+ char *pidf = NULL;
-+ char *contents = NULL;
-+ gsize len;
-+
-+ for (i = 0; i < V4B_DEVICES_MAX; i++) {
-+ pidf = g_strdup_printf ("%s.%i.%i.%i.pid", WEBCAMD_PID_FILE, bus, addr, i);
-+ if (g_file_test (pidf, G_FILE_TEST_EXISTS))
-+ break;
-+ g_free (pidf);
-+ pidf = NULL;
-+ }
-+
-+ if (pidf == NULL)
-+ return -1;
-+
-+ if (! g_file_get_contents (pidf, &contents, &len, NULL)) {
-+ g_free (pidf);
-+ return -1;
-+ }
-+
-+ g_free (pidf);
-+
-+ pid = (int) strtol (contents, &endptr, 10);
-+ if (endptr == contents) {
-+ g_free (contents);
-+ return -1;
-+ }
-+ g_free (contents);
-+
-+ len = 4;
-+ sysctlnametomib ("kern.proc.pid", mib, &len);
-+
-+ len = sizeof(struct kinfo_proc);
-+ mib[3] = pid;
-+
-+ /* This is just a rough test. */
-+ if (sysctl (mib, 4, NULL, &len, NULL, 0) == -1)
-+ return -1;
-+
-+ return i;
-+}
-+
-+int
-+main (int argc, char **argv)
-+{
-+ int ret = 1;
-+ int fd = -1;
-+ int unit = -1;
-+ int bus = -1;
-+ int addr = -1;
-+ int intf = -1;
-+ char *device_file = NULL;
-+ char *busstr;
-+ char *addrstr;
-+ char *intfstr;
-+ struct video_capability v1cap;
-+ struct v4l2_capability v2cap;
-+ LibHalChangeSet *cset;
-+
-+ if (! hfp_init (argc, argv))
-+ goto out;
-+
-+ busstr = getenv ("HAL_PROP_USB_BUS_NUMBER");
-+ if (! busstr)
-+ goto out;
-+ addrstr = getenv ("HAL_PROP_USB_PORT_NUMBER");
-+ if (! addrstr)
-+ goto out;
-+ intfstr = getenv ("HAL_PROP_USB_INTERFACE_NUMBER");
-+ if (! intfstr)
-+ goto out;
-+
-+ bus = atoi (busstr);
-+ addr = atoi (addrstr);
-+ intf = atoi (intfstr);
-+ if (intf != 0)
-+ goto out;
-+
-+ unit = hfp_v4l_get_unit (bus, addr);
-+ if (unit == -1)
-+ goto out;
-+ device_file = g_strdup_printf ("/dev/video%i", unit);
-+ if (device_file == NULL)
-+ goto out;
-+
-+ /* give a meaningful process title for ps(1) */
-+ setproctitle("%s (bus: %i, addr: %i)", device_file, bus, addr);
-+
-+ cset = libhal_device_new_changeset (hfp_udi);
-+
-+ hfp_info ("Doing probe-video4linux for %s (udi=%s)", device_file, hfp_udi);
-+
-+ fd = open (device_file, O_RDONLY);
-+ if (fd < 0) {
-+ hfp_critical ("Cannot open %s: %s", device_file, strerror (errno));
-+ goto out;
-+ }
-+
-+ if (ioctl (fd, VIDIOC_QUERYCAP, &v2cap) == 0) {
-+ libhal_changeset_set_property_string (cset,
-+ "video4linux.device", device_file);
-+ libhal_changeset_set_property_string (cset,
-+ "info.category", "video4linux");
-+ libhal_changeset_set_property_string (cset,
-+ "video4linux.version", "2");
-+
-+ libhal_changeset_set_property_string (cset,
-+ "info.product", (const char *)v2cap.card);
-+
-+ libhal_device_add_capability (hfp_ctx, hfp_udi, "video4linux", NULL);
-+ if ((v2cap.capabilities & V4L2_CAP_VIDEO_CAPTURE) > 0) {
-+ libhal_device_add_capability (hfp_ctx, hfp_udi, "video4linux.video_capture", NULL);
-+ } if ((v2cap.capabilities & V4L2_CAP_VIDEO_OUTPUT) > 0) {
-+ libhal_device_add_capability (hfp_ctx, hfp_udi, "video4linux.video_output", NULL);
-+ } if ((v2cap.capabilities & V4L2_CAP_VIDEO_OVERLAY) > 0) {
-+ libhal_device_add_capability (hfp_ctx, hfp_udi, "video4linux.video_overlay", NULL);
-+ } if ((v2cap.capabilities & V4L2_CAP_AUDIO) > 0) {
-+ libhal_device_add_capability (hfp_ctx, hfp_udi, "video4linux.audio", NULL);
-+ } if ((v2cap.capabilities & V4L2_CAP_TUNER) > 0) {
-+ libhal_device_add_capability (hfp_ctx, hfp_udi, "video4linux.tuner", NULL);
-+ } if ((v2cap.capabilities & V4L2_CAP_RADIO) > 0) {
-+ libhal_device_add_capability (hfp_ctx, hfp_udi, "video4linux.radio", NULL);
-+ }
-+ } else {
-+ hfp_info (("ioctl VIDIOC_QUERYCAP failed"));
-+
-+ if (ioctl (fd, VIDIOCGCAP, &v1cap) == 0) {
-+ libhal_changeset_set_property_string (cset,
-+ "video4linux.device", device_file);
-+ libhal_changeset_set_property_string (cset,
-+ "info.category", "video4linux");
-+ libhal_changeset_set_property_string (cset,
-+ "video4linux.version", "1");
-+
-+ libhal_changeset_set_property_string (cset,
-+ "info.product", v1cap.name);
-+
-+ libhal_device_add_capability (hfp_ctx, hfp_udi, "video4linux", NULL);
-+ if ((v1cap.type & VID_TYPE_CAPTURE) > 0) {
-+ libhal_device_add_capability (hfp_ctx, hfp_udi, "video4linux.video_capture", NULL);
-+ } if ((v1cap.type & VID_TYPE_OVERLAY) > 0) {
-+ libhal_device_add_capability (hfp_ctx, hfp_udi, "video4linux.video_overlay", NULL);
-+ } if (v1cap.audios > 0) {
-+ libhal_device_add_capability (hfp_ctx, hfp_udi, "video4linux.audio", NULL);
-+ } if ((v1cap.type & VID_TYPE_TUNER) > 0) {
-+ libhal_device_add_capability (hfp_ctx, hfp_udi, "video4linux.tuner", NULL);
-+ }
-+ } else {
-+ hfp_info (("ioctl VIDIOCGCAP failed; not a v4l device"));
-+ }
-+ }
-+
-+ libhal_device_commit_changeset (hfp_ctx, cset, NULL);
-+ libhal_device_free_changeset (cset);
-+
-+ close (fd);
-+
-+ ret = 0;
-+
-+out:
-+ g_free (device_file);
-+ if (fd >= 0)
-+ close (fd);
-+
-+ return ret;
-+}
-+
diff --git a/sysutils/hal/files/patch-hald_freebsd_probing_probe-volume.c b/sysutils/hal/files/patch-hald_freebsd_probing_probe-volume.c
deleted file mode 100644
index 1ff3d0206..000000000
--- a/sysutils/hal/files/patch-hald_freebsd_probing_probe-volume.c
+++ /dev/null
@@ -1,31 +0,0 @@
---- hald/freebsd/probing/probe-volume.c.orig 2009-12-23 14:06:53.000000000 -0500
-+++ hald/freebsd/probing/probe-volume.c 2009-12-23 14:07:01.000000000 -0500
-@@ -574,6 +574,7 @@ main (int argc, char **argv)
-
- snprintf(ufsid, sizeof(ufsid), "%08x%08x", ufsdisk.d_fs.fs_id[0], ufsdisk.d_fs.fs_id[1]);
- libhal_device_set_property_string(hfp_ctx, hfp_udi, "volume.freebsd.ufsid", ufsid, &hfp_error);
-+ dbus_error_free(&hfp_error);
- ufs_devs = libhal_manager_find_device_string_match(hfp_ctx,
- "volume.freebsd.ufsid",
- ufsid,
-@@ -582,16 +583,17 @@ main (int argc, char **argv)
- dbus_error_free(&hfp_error);
- for (i = 0; i < num_udis; i++)
- {
-- if (ufs_devs[i] != NULL)
-+ if (ufs_devs[i] != NULL && strcmp(ufs_devs[i], hfp_udi))
- {
- gboolean mounted;
-
- mounted = libhal_device_get_property_bool(hfp_ctx, ufs_devs[i], "volume.is_mounted", &hfp_error);
-- dbus_error_free(&hfp_error);
-+ dbus_error_free(&hfp_error);
- if (mounted)
-- {
-+ {
- libhal_device_set_property_bool(hfp_ctx, hfp_udi, "volume.ignore", TRUE, &hfp_error);
- dbus_error_free(&hfp_error);
-+ break;
- }
- }
- }
diff --git a/sysutils/hal/files/patch-hald_hf-storage.c b/sysutils/hal/files/patch-hald_hf-storage.c
deleted file mode 100644
index 162079ac7..000000000
--- a/sysutils/hal/files/patch-hald_hf-storage.c
+++ /dev/null
@@ -1,79 +0,0 @@
---- hald/freebsd/hf-storage.c.orig 2009-08-24 08:42:29.000000000 -0400
-+++ hald/freebsd/hf-storage.c 2010-02-26 08:29:38.000000000 -0500
-@@ -30,6 +30,7 @@
- #include <limits.h>
- #include <inttypes.h>
- #include <string.h>
-+#include <unistd.h>
- #include <sys/param.h>
- #include <sys/types.h>
- #include <sys/disklabel.h>
-@@ -418,10 +419,41 @@ hf_storage_parse_conftxt (const char *co
- continue;
- }
-
-+ /* XXX This is a hack, but we need to ignore dynamic labels like
-+ * ufsids which are created and destroyed based on whether or not
-+ * the actual device is mounted or not. If we don't then strange
-+ * things happen in applications like nautilus.
-+ */
-+ if ((! strcmp(fields[1], "LABEL") ||
-+ ! strcmp(fields[1], "BSD") ||
-+ ! strcmp(fields[1], "PART")) &&
-+ ! (strncmp(fields[2], "ufsid/", strlen("ufsid/")) ||
-+ ! strncmp(fields[2], "ufs/", strlen("ufs/"))))
-+ {
-+ g_strfreev(fields);
-+ continue;
-+ }
-+
- geom_obj = g_new0(Geom_Object, 1);
-
- geom_obj->class = g_strdup(fields[1]);
- geom_obj->dev = g_strdup(fields[2]);
-+ /* Allow for spaces in label names. */
-+ if (! strcmp(fields[1], "LABEL"))
-+ {
-+ int j;
-+
-+ for (j = 3; g_strv_length(fields) > (j + 2) &&
-+ strcmp(fields[j + 2], "i"); j++)
-+ {
-+ char *tmp;
-+
-+ tmp = g_strdup_printf("%s %s", geom_obj->dev, fields[j]);
-+ g_free(geom_obj->dev);
-+ geom_obj->dev = tmp;
-+ }
-+ }
-+
- geom_obj->type = -1; /* We use -1 here to denote a missing type. */
- geom_obj->hash = hash;
-
-@@ -589,11 +621,16 @@ hf_storage_devd_notify (const char *syst
- char *conftxt;
- GSList *new_disks;
-
-- if (strcmp(system, "DEVFS") || strcmp(subsystem, "CDEV") ||
-+ if (! data || strcmp(system, "DEVFS") || strcmp(subsystem, "CDEV") ||
- (strcmp(type, "CREATE") && strcmp(type, "DESTROY")))
- return FALSE;
-
-+ if (! strcmp(type, "DESTROY"))
-+ g_usleep(G_USEC_PER_SEC/2);
-+
- conftxt = hf_get_string_sysctl(NULL, "kern.geom.conftxt");
-+ if (! conftxt)
-+ return FALSE;
- new_disks = hf_storage_parse_conftxt(conftxt);
- g_free(conftxt);
-
-@@ -669,7 +706,7 @@ hf_storage_conftxt_timeout_cb (gpointer
- if (hf_is_waiting)
- return TRUE;
-
-- hf_storage_devd_notify("DEVFS", "CDEV", "CREATE", NULL);
-+ hf_storage_devd_notify("DEVFS", "CDEV", "CREATE", "");
-
- return TRUE;
- }
diff --git a/sysutils/hal/files/patch-tools_hal-storage-eject.c b/sysutils/hal/files/patch-tools_hal-storage-eject.c
deleted file mode 100644
index 730e2a076..000000000
--- a/sysutils/hal/files/patch-tools_hal-storage-eject.c
+++ /dev/null
@@ -1,11 +0,0 @@
---- tools/hal-storage-eject.c.orig 2008-10-27 13:23:11.000000000 -0400
-+++ tools/hal-storage-eject.c 2008-10-27 13:23:23.000000000 -0400
-@@ -190,7 +190,7 @@ main (int argc, char *argv[])
- unknown_eject_error ("Cannot obtain lock on /media/.hal-mtab");
- }
- handle_unmount (hal_ctx,
-- udi, volume_to_unmount, drive,
-+ volume_udi, volume_to_unmount, drive,
- libhal_volume_get_device_file (volume_to_unmount),
- invoked_by_uid, invoked_by_syscon_name,
- FALSE, FALSE); /* use neither lazy nor force */
diff --git a/sysutils/hal/files/patch-tools_hal-storage-mount.c b/sysutils/hal/files/patch-tools_hal-storage-mount.c
deleted file mode 100644
index 390d35111..000000000
--- a/sysutils/hal/files/patch-tools_hal-storage-mount.c
+++ /dev/null
@@ -1,91 +0,0 @@
---- tools/hal-storage-mount.c.orig 2008-05-07 19:24:23.000000000 -0400
-+++ tools/hal-storage-mount.c 2008-10-09 00:54:34.000000000 -0400
-@@ -56,8 +56,9 @@
-
- #ifdef __FreeBSD__
- #define MOUNT "/sbin/mount"
--#define MOUNT_OPTIONS "noexec,nosuid"
-+#define MOUNT_OPTIONS "nosuid"
- #define MOUNT_TYPE_OPT "-t"
-+#define FUSE_DB "/tmp/.fuse-mnts"
- #elif sun
- #define MOUNT "/sbin/mount"
- #define MOUNT_OPTIONS "noexec,nosuid"
-@@ -255,6 +256,51 @@ out:
- return f;
- }
-
-+#ifdef __FreeBSD__
-+static char *
-+resolve_fuse (const char *special)
-+{
-+ gchar *contents;
-+ gchar **lines;
-+ gsize len;
-+ int i;
-+
-+ if (! g_file_get_contents (FUSE_DB, &contents, &len, NULL))
-+ return g_strdup (special);
-+
-+ lines = g_strsplit (contents, "\n", 0);
-+ g_free (contents);
-+
-+ for (i = 0; lines && lines[i]; i++) {
-+ gchar **fields;
-+
-+ fields = g_strsplit (lines[i], "=", 2);
-+ if (fields && g_strv_length (fields) == 2) {
-+ if (strcmp (fields[0], special) == 0) {
-+ g_strfreev (fields);
-+ g_strfreev (lines);
-+ return g_strdup (fields[1]);
-+ }
-+ }
-+ g_strfreev (fields);
-+ }
-+
-+ g_strfreev (lines);
-+
-+ return g_strdup (special);
-+}
-+#endif
-+
-+static char *
-+resolve_special (const char *special)
-+{
-+#ifdef __FreeBSD__
-+ if (strstr(special, "fuse"))
-+ return resolve_fuse (special);
-+#endif
-+ return g_strdup (special);
-+}
-+
- static LibHalVolume *
- volume_findby (LibHalContext *hal_ctx, const char *property, const char *value)
- {
-@@ -400,18 +446,20 @@ device_is_mounted (const char *device, c
- unknown_error ("Cannot open /etc/mtab or equivalent");
- }
- while (((entry = mtab_next (handle, mount_point)) != NULL) && (ret == FALSE)) {
-- char *resolved;
-+ char *resolved, *rspecial;
-
- resolved = resolve_symlink (entry);
-+ rspecial = resolve_special (resolved);
-+ g_free (resolved);
- #ifdef DEBUG
-- printf ("/proc/mounts: device %s -> %s \n", entry, resolved);
-+ printf ("/proc/mounts: device %s -> %s \n", entry, rspecial);
- #endif
-- if (strcmp (device, resolved) == 0) {
-- printf ("%s (-> %s) found in mount list. Not mounting.\n", entry, resolved);
-+ if (strcmp (device, rspecial) == 0) {
-+ printf ("%s (-> %s) found in mount list. Not mounting.\n", entry, rspecial);
- ret = TRUE;
- }
-
-- g_free (resolved);
-+ g_free (rspecial);
- }
- mtab_close (handle);
- return ret;
diff --git a/sysutils/hal/files/patch-tools_hal-storage-shared.c b/sysutils/hal/files/patch-tools_hal-storage-shared.c
deleted file mode 100644
index 1ed7fe907..000000000
--- a/sysutils/hal/files/patch-tools_hal-storage-shared.c
+++ /dev/null
@@ -1,45 +0,0 @@
---- tools/hal-storage-shared.c.orig 2008-05-07 19:24:24.000000000 -0400
-+++ tools/hal-storage-shared.c 2008-10-20 14:53:35.000000000 -0400
-@@ -297,6 +297,9 @@ handle_unmount (LibHalContext *hal_ctx,
- char *mount_point_to_unmount;
- gboolean mounted_by_other_uid;
- FILE *hal_mtab_new;
-+#ifdef __FreeBSD__
-+ char *rdevice = NULL;
-+#endif
-
- #ifdef DEBUG
- printf ("device = %s\n", device);
-@@ -473,7 +476,20 @@ line_found:
- #endif
- if (option_force)
- args[na++] = "-f";
-- args[na++] = (char *) device;
-+#ifdef __FreeBSD__
-+ dbus_error_init (&error);
-+ if (libhal_device_property_exists (hal_ctx, udi, "volume.freebsd.real_mounted_device", NULL)) {
-+ rdevice = libhal_device_get_property_string (hal_ctx, udi, "volume.freebsd.real_mounted_device", &error);
-+ if (dbus_error_is_set (&error)) {
-+ dbus_error_free (&error);
-+ unknown_error ("Error while getting volume.freebsd.real_mounted_device");
-+ }
-+ }
-+ if (rdevice)
-+ args[na++] = rdevice;
-+ else
-+#endif
-+ args[na++] = (char *) device;
- args[na++] = NULL;
-
- #ifdef DEBUG
-@@ -497,6 +513,10 @@ line_found:
- unknown_error ("Cannot spawn " UMOUNT);
- }
-
-+#ifdef __FreeBSD__
-+ g_free (rdevice);
-+#endif
-+
- /* check if unmount was succesful */
- if (exit_status != 0) {
- printf ("%s error %d, stdout='%s', stderr='%s'\n", UMOUNT, exit_status, sout, serr);
diff --git a/sysutils/hal/files/pkg-deinstall.in b/sysutils/hal/files/pkg-deinstall.in
deleted file mode 100644
index 4650d60fe..000000000
--- a/sysutils/hal/files/pkg-deinstall.in
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/bin/sh
-
-[ "$2" != DEINSTALL ] && exit 0
-
-USER=haldaemon
-
-%%LOCALBASE%%/bin/polkit-auth --user ${USER} --revoke \
- org.freedesktop.policykit.read
-
-for pair in %%RC_FILES%%; do
- file=`echo $pair | cut -f 1 -d :`
- destdir=`echo $pair | cut -f 2 -d :`
-
- if cmp -s %%DATADIR%%/dist/$file $destdir/$file; then
- rm -f $destdir/$file
- fi
-done
diff --git a/sysutils/hal/files/pkg-install.in b/sysutils/hal/files/pkg-install.in
deleted file mode 100644
index 253eef1f0..000000000
--- a/sysutils/hal/files/pkg-install.in
+++ /dev/null
@@ -1,25 +0,0 @@
-#!/bin/sh
-
-case $2 in
-POST-INSTALL)
- USER=haldaemon
- GROUP=${USER}
-
- /usr/bin/install -d -o ${USER} -g ${GROUP} /var/run/hald
- /usr/bin/install -d -o ${USER} -g ${GROUP} /var/cache/hald
- /usr/bin/install -d -o ${USER} -g ${GROUP} /var/lib/hal
- %%LOCALBASE%%/bin/polkit-auth --user ${USER} --grant \
- org.freedesktop.policykit.read
-
- for pair in %%RC_FILES%%; do
- file=`echo $pair | cut -f 1 -d :`
- destdir=`echo $pair | cut -f 2 -d :`
-
- if [ ! -f $destdir/$file ]; then
- mkdir -p $destdir
- cp -p %%DATADIR%%/dist/$file $destdir/$file
- fi
- done
- exit 0
- ;;
-esac
diff --git a/sysutils/hal/pkg-descr b/sysutils/hal/pkg-descr
deleted file mode 100644
index c94358513..000000000
--- a/sysutils/hal/pkg-descr
+++ /dev/null
@@ -1,6 +0,0 @@
-HAL is a hardware abstraction layer whose goal is to merge information from
-various sources such that desktop applications can locate and use hardware
-devices. The point is that the exact set of information to merge varies by
-device and bus type.
-
-WWW: http://www.freedesktop.org/Software/hal
diff --git a/sysutils/hal/pkg-plist b/sysutils/hal/pkg-plist
deleted file mode 100644
index 33f9be2a2..000000000
--- a/sysutils/hal/pkg-plist
+++ /dev/null
@@ -1,131 +0,0 @@
-@unexec %D/etc/rc.d/hald stop > /dev/null 2>&1 || true
-bin/hal-device
-bin/hal-disable-polling
-bin/hal-find-by-capability
-bin/hal-find-by-property
-bin/hal-get-property
-bin/hal-is-caller-locked-out
-bin/hal-is-caller-privileged
-bin/hal-lock
-bin/hal-set-property
-bin/lshal
-@exec mkdir -p %D/etc/hal/fdi/preprobe
-@exec mkdir -p %D/etc/hal/fdi/policy
-@exec mkdir -p %D/etc/hal/fdi/information
-include/hal/libhal-storage.h
-include/hal/libhal.h
-lib/libhal-storage.a
-lib/libhal-storage.la
-lib/libhal-storage.so
-lib/libhal-storage.so.1
-lib/libhal.a
-lib/libhal.la
-lib/libhal.so
-lib/libhal.so.1
-libdata/pkgconfig/hal-storage.pc
-libdata/pkgconfig/hal.pc
-libexec/hal-storage-cleanup-all-mountpoints
-libexec/hal-storage-cleanup-mountpoint
-libexec/hal-storage-closetray
-libexec/hal-storage-eject
-libexec/hal-storage-mount
-libexec/hal-storage-unmount
-libexec/hal-system-power-pm-is-supported
-libexec/hal-system-setserial
-libexec/hal/scripts/freebsd/hal-system-lcd-get-brightness-freebsd
-libexec/hal/scripts/freebsd/hal-system-lcd-set-brightness-freebsd
-libexec/hal/scripts/freebsd/hal-system-power-reboot-freebsd
-libexec/hal/scripts/freebsd/hal-system-power-set-power-save-freebsd
-libexec/hal/scripts/freebsd/hal-system-power-shutdown-freebsd
-libexec/hal/scripts/freebsd/hal-system-power-suspend-freebsd
-libexec/hal/scripts/hal-dockstation-undock
-libexec/hal/scripts/hal-functions
-libexec/hal/scripts/hal-luks-remove
-libexec/hal/scripts/hal-luks-setup
-libexec/hal/scripts/hal-luks-teardown
-libexec/hal/scripts/hal-system-killswitch-get-power
-libexec/hal/scripts/hal-system-killswitch-set-power
-libexec/hal/scripts/hal-system-lcd-get-brightness
-libexec/hal/scripts/hal-system-lcd-set-brightness
-libexec/hal/scripts/hal-system-power-hibernate
-libexec/hal/scripts/hal-system-power-reboot
-libexec/hal/scripts/hal-system-power-set-power-save
-libexec/hal/scripts/hal-system-power-shutdown
-libexec/hal/scripts/hal-system-power-suspend
-libexec/hal/scripts/hal-system-power-suspend-hybrid
-libexec/hal/scripts/hal-system-wol-enable
-libexec/hal/scripts/hal-system-wol-enabled
-libexec/hal/scripts/hal-system-wol-supported
-libexec/hald-addon-mouse-sysmouse
-libexec/hald-addon-storage
-libexec/hald-generate-fdi-cache
-libexec/hald-probe-hiddev
-libexec/hald-probe-mouse
-libexec/hald-probe-scsi
-libexec/hald-probe-smbios
-libexec/hald-probe-storage
-%%USB2%%libexec/hald-probe-usb2-device
-%%USB2%%libexec/hald-probe-usb2-interface
-%%USB2%%libexec/hald-probe-video4linux
-libexec/hald-probe-volume
-libexec/hald-runner
-sbin/hald
-%%PORTDOCS%%%%DOCSDIR%%/README.freebsd
-%%PORTDOCS%%%%DOCSDIR%%/README.fuse
-%%DATADIR%%/dist/hal.conf
-%%DATADIR%%/fdi/fdi.dtd
-%%DATADIR%%/fdi/information/10freedesktop/01-deprecated-keys.fdi
-@exec mkdir -p %D/%%DATADIR%%/fdi/information/20thirdparty
-%%DATADIR%%/fdi/policy/10osvendor/10-dockstation.fdi
-%%DATADIR%%/fdi/policy/10osvendor/10-input-policy.fdi
-%%DATADIR%%/fdi/policy/10osvendor/10-laptop-panel-mgmt-policy.fdi
-%%DATADIR%%/fdi/policy/10osvendor/10-leds.fdi
-%%DATADIR%%/fdi/policy/10osvendor/10-mouse-sysmouse.fdi
-%%DATADIR%%/fdi/policy/10osvendor/10-power-mgmt-policy.fdi
-%%DATADIR%%/fdi/policy/10osvendor/10-rfkill-switch.fdi
-%%DATADIR%%/fdi/policy/10osvendor/10-tabletPCs.fdi
-%%DATADIR%%/fdi/policy/10osvendor/10-x11-input.fdi
-%%DATADIR%%/fdi/policy/10osvendor/15-storage-luks.fdi
-%%DATADIR%%/fdi/policy/10osvendor/20-storage-methods.fdi
-%%DATADIR%%/fdi/policy/10osvendor/30-wol.fdi
-%%DATADIR%%/mount-fuse
-share/PolicyKit/policy/org.freedesktop.hal.dockstation.policy
-share/PolicyKit/policy/org.freedesktop.hal.killswitch.policy
-share/PolicyKit/policy/org.freedesktop.hal.leds.policy
-share/PolicyKit/policy/org.freedesktop.hal.policy
-share/PolicyKit/policy/org.freedesktop.hal.power-management.policy
-share/PolicyKit/policy/org.freedesktop.hal.storage.policy
-share/PolicyKit/policy/org.freedesktop.hal.wol.policy
-@exec mkdir -p %D/%%DATADIR%%/fdi/policy/20thirdparty
-@exec mkdir -p %D/%%DATADIR%%/fdi/preprobe/10osvendor
-@exec mkdir -p %D/%%DATADIR%%/fdi/preprobe/20thirdparty
-@dirrm %%DATADIR%%/fdi/preprobe/20thirdparty
-@dirrm %%DATADIR%%/fdi/preprobe/10osvendor
-@dirrm %%DATADIR%%/fdi/preprobe
-@dirrm %%DATADIR%%/fdi/policy/20thirdparty
-@dirrm %%DATADIR%%/fdi/policy/10osvendor
-@dirrm %%DATADIR%%/fdi/policy
-@dirrm %%DATADIR%%/fdi/information/20thirdparty
-@dirrm %%DATADIR%%/fdi/information/10freedesktop
-@dirrm %%DATADIR%%/fdi/information
-@dirrm %%DATADIR%%/fdi
-@dirrm %%DATADIR%%/dist
-@dirrm %%DATADIR%%
-@dirrm %%DOCSDIR%%
-@dirrm libexec/hal/scripts/freebsd
-@dirrm libexec/hal/scripts
-@dirrm libexec/hal
-@dirrm include/hal
-@dirrm etc/hal/fdi/preprobe
-@dirrm etc/hal/fdi/policy
-@dirrm etc/hal/fdi/information
-@dirrm etc/hal/fdi
-@dirrm etc/hal
-@unexec rm -f /var/run/hald/hald.pid 2>/dev/null || true
-@unexec rm -rf /var/run/hald/hald-local 2>/dev/null || true
-@unexec rm -rf /var/run/hald/hald-runner 2>/dev/null || true
-@unexec rmdir /var/run/hald 2>/dev/null || true
-@unexec rmdir /var/cache/hald 2>/dev/null || true
-@unexec rmdir /var/cache 2>/dev/null || true
-@unexec rmdir /var/lib/hal 2>/dev/null || true
-@unexec rmdir /var/lib 2>/dev/null || true